View Issue Details

IDProjectCategoryView StatusLast Update
0013944ScribusUser Interfacepublic2017-01-19 14:09
ReporterFirasH Assigned ToFirasH  
PrioritynormalSeverityminorReproducibilityN/A
Status assignedResolutionopen 
Product Version1.5.2.svn 
Target Version1.5.4Fixed in Version 
Summary0013944: Rework Preferences dialog
DescriptionRework Preferences dialog
Additional Information1.5.2.svn (21185)
TagsNo tags attached.
PatchYes

Relationships

parent of 0013844 acknowledged Metabug: RTL UI Formatting issues 
parent of 0014576 new Rework "Document Setup" to keep macOS dialog appearance consistent 
child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 
Not all the children of this issue are yet resolved or closed.

Activities

Kunda

2016-04-11 20:04

manager   ~0040094

assigning to 1.5.2

FirasH

2016-05-01 10:46

developer   ~0040667

Obviously if this is applied I will work on the other tabs to unify dialogs appearance.

cbradney

2016-05-01 14:27

administrator   ~0040675

Moving to 1.5.3. Please create all updates and I will apply.

FirasH

2016-05-04 20:42

developer   ~0040773

Ok, for the first patch I won't change checkboxes position (as in screenshots) to avoid complications.
Main focus is now on consistent spacings, caps, etc.

FirasH

2016-05-05 22:39

developer   ~0040806

Just completed the patch. Uploaded a .diff of the files + .ui files.
Don't have screenshots at the moment, anyway added some horizontal lines where missing, removed unneeded dialog width spinboxes/buttons, fixed some spacings, etc. (nothing drastic)

FirasH

2016-05-06 19:35

developer   ~0040853

Here is a list of screenshots of current patch visible changes:
https://www.dropbox.com/sh/t2ply8vonklgflj/AAAX9Rje2XnkyboXk5fp3Fw3a

FirasH

2016-05-08 11:01

developer   ~0040880

Uploaded "13944-UI-2.zip"
This removes colons in:
"Page Sizes" (Available Sizes + Active Sizes)
"Hyphenator" (Exceptions + Ignore List)

cbradney

2016-05-08 11:14

administrator   ~0040881

Some errors:

[ 17%] Building CXX object scribus/CMakeFiles/Scribus.dir/ui/prefs_pdfexport.cpp.o
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:816:43: error: use of undeclared identifier 'tabFonts'
                tabWidget->removeTab(tabWidget->indexOf(tabFonts));//Fonts
                                                        ^
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:817:43: error: use of undeclared identifier 'tabExtras'
                tabWidget->removeTab(tabWidget->indexOf(tabExtras));//Extras
                                                        ^
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:818:43: error: use of undeclared identifier 'tabViewer'
                tabWidget->removeTab(tabWidget->indexOf(tabViewer));//Viewer
                                                        ^
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:950:2: error: use of undeclared identifier 'solidColorsLabel'; did you mean 'SolidColorsLine'?
        solidColorsLabel->setVisible(visible);
        ^~~~~~~~~~~~~~~~
        SolidColorsLine
/Users/craig/scribus/PostTrunk/bt56/scribus/ui_prefs_pdfexportbase.h:135:13: note: 'SolidColorsLine' declared here
    QFrame *SolidColorsLine;
            ^
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:951:2: error: use of undeclared identifier 'solidColorsLine'; did you mean 'SolidColorsLine'?
        solidColorsLine->setVisible(visible);
        ^~~~~~~~~~~~~~~
        SolidColorsLine
/Users/craig/scribus/PostTrunk/bt56/scribus/ui_prefs_pdfexportbase.h:135:13: note: 'SolidColorsLine' declared here
    QFrame *SolidColorsLine;
            ^
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:955:2: error: use of undeclared identifier 'imagesLabel'
        imagesLabel->setVisible(visible);
        ^
/Users/craig/scribus/PostTrunk/trunk/Scribus/scribus/ui/prefs_pdfexport.cpp:956:2: error: use of undeclared identifier 'imagesLine'; did you mean 'ImagesLine'?
        imagesLine->setVisible(visible);
        ^~~~~~~~~~
        ImagesLine
/Users/craig/scribus/PostTrunk/bt56/scribus/ui_prefs_pdfexportbase.h:144:13: note: 'ImagesLine' declared here
    QFrame *ImagesLine;

FirasH

2016-05-08 12:49

developer  

13944-CPP-PATCH.diff (1,112 bytes)

diff --git a/scribus/ui/prefs_pdfexport.cpp b/scribus/ui/prefs_pdfexport.cpp
--- a/scribus/ui/prefs_pdfexport.cpp
+++ b/scribus/ui/prefs_pdfexport.cpp
@@ -813,9 +813,9 @@
 {
 	if (!enabled)
 	{
-		tabWidget->removeTab(tabWidget->indexOf(tabFonts));//Fonts
-		tabWidget->removeTab(tabWidget->indexOf(tabExtras));//Extras
-		tabWidget->removeTab(tabWidget->indexOf(tabViewer));//Viewer
+		tabWidget->removeTab(tabWidget->indexOf(fontsTab));//Fonts
+		tabWidget->removeTab(tabWidget->indexOf(extrasTab));//Extras
+		tabWidget->removeTab(tabWidget->indexOf(viewerTab));//Viewer
 	}
 }
 
diff --git a/scribus/ui/prefs_guides.cpp b/scribus/ui/prefs_guides.cpp
--- a/scribus/ui/prefs_guides.cpp
+++ b/scribus/ui/prefs_guides.cpp
@@ -130,7 +130,7 @@
 		else if (it == 2)
 			item = new QListWidgetItem( tr("Grid"), guidePlacementListBox);
 		else if (it == 1)
-			item = new QListWidgetItem( tr("BaselineGrid"), guidePlacementListBox);
+			item = new QListWidgetItem( tr("Baseline Grid"), guidePlacementListBox);
 		else if (it == 0)
 			item = new QListWidgetItem( tr("Margins"), guidePlacementListBox);
 		if (item)
13944-CPP-PATCH.diff (1,112 bytes)

FirasH

2016-05-08 12:49

developer  

13944-UI-PATCH.diff (245,712 bytes)

diff --git a/scribus/plugins/scriptplugin/prefs_scripterbase.ui b/scribus/plugins/scriptplugin/prefs_scripterbase.ui
--- a/scribus/plugins/scriptplugin/prefs_scripterbase.ui
+++ b/scribus/plugins/scriptplugin/prefs_scripterbase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>770</width>
-    <height>608</height>
+    <width>522</width>
+    <height>499</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,42 +45,136 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>742</width>
-        <height>538</height>
+        <width>502</width>
+        <height>443</height>
        </rect>
       </property>
-      <layout class="QVBoxLayout" name="verticalLayout">
-       <item>
-        <widget class="QLabel" name="extensionsTitleLabel">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
+      <layout class="QGridLayout" name="gridLayout">
+       <item row="4" column="0" colspan="2">
+        <spacer name="verticalSpacer_2">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
          </property>
-         <property name="text">
-          <string>Extensions</string>
+         <property name="sizeType">
+          <enum>QSizePolicy::Fixed</enum>
          </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_2">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
          </property>
-        </widget>
+        </spacer>
        </item>
-       <item>
-        <widget class="QCheckBox" name="extensionScriptsChk">
-         <property name="text">
-          <string>Enable Extension Scripts</string>
+       <item row="8" column="0" colspan="2">
+        <layout class="QFormLayout" name="consoleForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
-        </widget>
+         <item row="0" column="0">
+          <widget class="QLabel" name="textButtonLabel">
+           <property name="text">
+            <string>Base Texts:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="QPushButton" name="textButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="commentButtonLabel">
+           <property name="text">
+            <string>Comments:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="1">
+          <widget class="QPushButton" name="commentButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+         <item row="2" column="0">
+          <widget class="QLabel" name="keywordButtonLabel">
+           <property name="text">
+            <string>Keywords:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="2" column="1">
+          <widget class="QPushButton" name="keywordButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+         <item row="3" column="0">
+          <widget class="QLabel" name="signButtonLabel">
+           <property name="text">
+            <string>Signs:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="3" column="1">
+          <widget class="QPushButton" name="signButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+         <item row="4" column="0">
+          <widget class="QLabel" name="errorButtonLabel">
+           <property name="text">
+            <string>Errors:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="4" column="1">
+          <widget class="QPushButton" name="errorButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+         <item row="5" column="0">
+          <widget class="QLabel" name="stringButtonLabel">
+           <property name="text">
+            <string>Strings:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="5" column="1">
+          <widget class="QPushButton" name="stringButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+         <item row="6" column="0">
+          <widget class="QLabel" name="numberButtonLabel">
+           <property name="text">
+            <string>Numbers:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="6" column="1">
+          <widget class="QPushButton" name="numberButton">
+           <property name="text">
+            <string/>
+           </property>
+          </widget>
+         </item>
+        </layout>
        </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_3">
+       <item row="3" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="startupScriptLayout">
          <item>
-          <widget class="QLabel" name="label_2">
+          <widget class="QLabel" name="startupScriptLabel">
            <property name="text">
             <string>Startup Script:</string>
            </property>
@@ -98,24 +192,51 @@
          </item>
         </layout>
        </item>
-       <item>
-        <spacer name="verticalSpacer_2">
+       <item row="1" column="0" colspan="2">
+        <widget class="Line" name="extensionsLine">
          <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="0" colspan="2">
+        <widget class="QLabel" name="extensionsLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Extensions</string>
+         </property>
+        </widget>
+       </item>
+       <item row="9" column="0" colspan="2">
+        <spacer name="verticalSpacer">
+         <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
          <property name="sizeType">
-          <enum>QSizePolicy::Fixed</enum>
+          <enum>QSizePolicy::MinimumExpanding</enum>
          </property>
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>20</height>
+           <height>0</height>
           </size>
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="consoleTitleLabel">
+       <item row="2" column="0" colspan="2">
+        <widget class="QCheckBox" name="extensionScriptsChk">
+         <property name="text">
+          <string>Enable Extension Scripts</string>
+         </property>
+        </widget>
+       </item>
+       <item row="5" column="0">
+        <widget class="QLabel" name="consoleLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -127,151 +248,13 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_3">
+       <item row="7" column="0" colspan="2">
+        <widget class="Line" name="consoleLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
-         <item>
-          <layout class="QFormLayout" name="formLayout">
-           <property name="formAlignment">
-            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-           </property>
-           <item row="0" column="0">
-            <widget class="QLabel" name="label_4">
-             <property name="text">
-              <string>Base Texts:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <widget class="QPushButton" name="textButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <widget class="QLabel" name="label_5">
-             <property name="text">
-              <string>Comments:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="QPushButton" name="commentButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="0">
-            <widget class="QLabel" name="label_6">
-             <property name="text">
-              <string>Keywords:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="1">
-            <widget class="QPushButton" name="keywordButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="0">
-            <widget class="QLabel" name="label_7">
-             <property name="text">
-              <string>Signs:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="1">
-            <widget class="QPushButton" name="signButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="4" column="0">
-            <widget class="QLabel" name="label_8">
-             <property name="text">
-              <string>Errors:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="4" column="1">
-            <widget class="QPushButton" name="errorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="5" column="0">
-            <widget class="QLabel" name="label_9">
-             <property name="text">
-              <string>Strings:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="5" column="1">
-            <widget class="QPushButton" name="stringButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="6" column="0">
-            <widget class="QLabel" name="label_10">
-             <property name="text">
-              <string>Numbers:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="6" column="1">
-            <widget class="QPushButton" name="numberButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-          </layout>
-         </item>
-         <item>
-          <spacer name="horizontalSpacer">
-           <property name="orientation">
-            <enum>Qt::Horizontal</enum>
-           </property>
-           <property name="sizeHint" stdset="0">
-            <size>
-             <width>40</width>
-             <height>20</height>
-            </size>
-           </property>
-          </spacer>
-         </item>
-        </layout>
-       </item>
-       <item>
-        <spacer name="verticalSpacer">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeType">
-          <enum>QSizePolicy::MinimumExpanding</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>0</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
       </layout>
      </widget>
     </widget>
diff --git a/scribus/plugins/short-words/prefs_shortwordsbase.ui b/scribus/plugins/short-words/prefs_shortwordsbase.ui
--- a/scribus/plugins/short-words/prefs_shortwordsbase.ui
+++ b/scribus/plugins/short-words/prefs_shortwordsbase.ui
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -39,7 +39,7 @@
     <widget class="QTextEdit" name="cfgEdit"/>
    </item>
    <item>
-    <layout class="QHBoxLayout" name="horizontalLayout">
+    <layout class="QHBoxLayout" name="buttonsLayout">
      <item>
       <widget class="QLabel" name="messageLabel">
        <property name="text">
diff --git a/scribus/ui/prefs_colormanagementbase.ui b/scribus/ui/prefs_colormanagementbase.ui
--- a/scribus/ui/prefs_colormanagementbase.ui
+++ b/scribus/ui/prefs_colormanagementbase.ui
@@ -8,8 +8,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>630</width>
-    <height>574</height>
+    <width>501</width>
+    <height>457</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -50,7 +50,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -61,18 +61,18 @@
      <property name="widgetResizable">
       <bool>true</bool>
      </property>
-     <widget class="QWidget" name="scrollAreaWidgetContents_2">
+     <widget class="QWidget" name="scrollAreaWidgetContents">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>589</width>
-        <height>631</height>
+        <width>467</width>
+        <height>572</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout_2">
        <item>
-        <widget class="QLabel" name="label_7">
+        <widget class="QLabel" name="documentOptionsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -85,7 +85,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_4">
+        <widget class="Line" name="documentOptionsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -143,7 +143,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label">
+        <widget class="QLabel" name="documentProfilesLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -156,7 +156,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="documentProfilesLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -163,7 +163,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout">
+        <layout class="QFormLayout" name="documentProfilesForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -171,7 +171,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="textLabel7">
+          <widget class="QLabel" name="rgbImageProfileLabel">
            <property name="text">
             <string>RGB Images:</string>
            </property>
@@ -191,7 +191,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="textLabel8">
+          <widget class="QLabel" name="cmykImageProfileLabel">
            <property name="text">
             <string>CMYK Images:</string>
            </property>
@@ -211,7 +211,7 @@
           </widget>
          </item>
          <item row="2" column="0">
-          <widget class="QLabel" name="textLabel9">
+          <widget class="QLabel" name="rgbSolidProfileLabel">
            <property name="text">
             <string>RGB Solid Colors:</string>
            </property>
@@ -224,7 +224,7 @@
           <widget class="QComboBox" name="rgbSolidProfileComboBox"/>
          </item>
          <item row="3" column="0">
-          <widget class="QLabel" name="textLabel10">
+          <widget class="QLabel" name="cmykSolidProfileLabel">
            <property name="text">
             <string>CMYK Solid Colors:</string>
            </property>
@@ -237,7 +237,7 @@
           <widget class="QComboBox" name="cmykSolidProfileComboBox"/>
          </item>
          <item row="4" column="0">
-          <widget class="QLabel" name="label_3">
+          <widget class="QLabel" name="printerProfileLabel">
            <property name="text">
             <string>Printer:</string>
            </property>
@@ -265,7 +265,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_4">
+        <widget class="QLabel" name="documentRenderingIntentsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -278,7 +278,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_3">
+        <widget class="Line" name="documentRenderingIntentsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -285,12 +285,15 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_2">
+        <layout class="QFormLayout" name="documentRenderingIntentsForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <property name="formAlignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_5">
+          <widget class="QLabel" name="imageRenderingIntentLabel">
            <property name="text">
             <string>Images:</string>
            </property>
@@ -300,7 +303,7 @@
           <widget class="QComboBox" name="imageRenderingIntentComboBox"/>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_6">
+          <widget class="QLabel" name="solidColorsRenderingIntentLabel">
            <property name="text">
             <string>Solid Colors:</string>
            </property>
@@ -348,9 +351,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_3">
+        <layout class="QFormLayout" name="monitorProfileForm">
          <property name="fieldGrowthPolicy">
-          <enum>QFormLayout::AllNonFixedFieldsGrow</enum>
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
          <item row="0" column="1">
           <widget class="QComboBox" name="monitorProfileComboBox"/>
diff --git a/scribus/ui/prefs_displaybase.ui b/scribus/ui/prefs_displaybase.ui
--- a/scribus/ui/prefs_displaybase.ui
+++ b/scribus/ui/prefs_displaybase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_3">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -40,7 +40,7 @@
      <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tab">
+     <widget class="QWidget" name="pagesTab">
       <attribute name="title">
        <string>Pages</string>
       </attribute>
@@ -137,15 +137,67 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_2">
+     <widget class="QWidget" name="scratchSpaceTab">
       <attribute name="title">
        <string>Scratch Space</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_5">
-       <item>
-        <layout class="QFormLayout" name="formLayout">
+      <layout class="QGridLayout" name="gridLayout_2">
+       <item row="2" column="0">
+        <widget class="QLabel" name="gapsBetweenPagesLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Gaps Between Pages</string>
+         </property>
+        </widget>
+       </item>
+       <item row="3" column="0" colspan="2">
+        <widget class="Line" name="gapsBetweenPagesLine">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+        </widget>
+       </item>
+       <item row="6" column="0">
+        <spacer name="verticalSpacer_7">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="1" column="0">
+        <spacer name="verticalSpacer">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeType">
+          <enum>QSizePolicy::Fixed</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="0" column="0" colspan="2">
+        <layout class="QFormLayout" name="scratchSpaceForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_4">
+          <widget class="QLabel" name="scratchSpaceLeftLabel">
            <property name="text">
             <string>Left:</string>
            </property>
@@ -155,7 +207,7 @@
           <widget class="ScrSpinBox" name="scratchSpaceLeftSpinBox"/>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_5">
+          <widget class="QLabel" name="scratchSpaceRightLabel">
            <property name="text">
             <string>Right:</string>
            </property>
@@ -165,7 +217,7 @@
           <widget class="ScrSpinBox" name="scratchSpaceRightSpinBox"/>
          </item>
          <item row="2" column="0">
-          <widget class="QLabel" name="label_6">
+          <widget class="QLabel" name="scratchSpaceTopLabel">
            <property name="text">
             <string>Top:</string>
            </property>
@@ -175,7 +227,7 @@
           <widget class="ScrSpinBox" name="scratchSpaceTopSpinBox"/>
          </item>
          <item row="3" column="0">
-          <widget class="QLabel" name="label_7">
+          <widget class="QLabel" name="scratchSpaceBottomLabel">
            <property name="text">
             <string>Bottom:</string>
            </property>
@@ -186,46 +238,13 @@
          </item>
         </layout>
        </item>
-       <item>
-        <spacer name="verticalSpacer">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
+       <item row="4" column="0" rowspan="2" colspan="2">
+        <layout class="QFormLayout" name="pageGapForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
-         <property name="sizeType">
-          <enum>QSizePolicy::Fixed</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QLabel" name="label_8">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Gaps Between Pages</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_4">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout_4">
          <item row="0" column="0">
-          <widget class="QLabel" name="label_11">
+          <widget class="QLabel" name="pageGapHorizontalLabel">
            <property name="text">
             <string>Horizontal:</string>
            </property>
@@ -235,7 +254,7 @@
           <widget class="ScrSpinBox" name="pageGapHorizontalSpinBox"/>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_12">
+          <widget class="QLabel" name="pageGapVerticalLabel">
            <property name="text">
             <string>Vertical:</string>
            </property>
@@ -246,28 +265,15 @@
          </item>
         </layout>
        </item>
-       <item>
-        <spacer name="verticalSpacer_7">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>195</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_3">
+     <widget class="QWidget" name="displayScalingTab">
       <attribute name="title">
        <string>Display Scaling</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_4">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="scaleLayout">
          <item>
           <widget class="QSlider" name="adjustDisplaySlider">
            <property name="minimum">
@@ -307,7 +313,7 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="rulerLayout">
          <item>
           <widget class="QLabel" name="displaySizeRuler">
            <property name="sizePolicy">
@@ -353,7 +359,7 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_4">
+     <widget class="QWidget" name="colorsTab">
       <attribute name="title">
        <string>Colors</string>
       </attribute>
@@ -368,151 +374,158 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>212</width>
-            <height>292</height>
+            <width>479</width>
+            <height>313</height>
            </rect>
           </property>
-          <layout class="QFormLayout" name="formLayout_2">
+          <layout class="QGridLayout" name="gridLayout">
            <item row="0" column="0">
-            <widget class="QLabel" name="label_15">
-             <property name="text">
-              <string>Page Fill:</string>
+            <layout class="QFormLayout" name="colorsForm">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::FieldsStayAtSizeHint</enum>
              </property>
-            </widget>
+             <item row="0" column="0">
+              <widget class="QLabel" name="pageFillLabel">
+               <property name="text">
+                <string>Page Fill:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="1">
+              <widget class="QPushButton" name="pageFillColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="scratchSpaceLabel">
+               <property name="text">
+                <string>Scratch Space:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="1">
+              <widget class="QPushButton" name="scratchSpaceColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="0">
+              <widget class="QLabel" name="selectedPageBorderLabel">
+               <property name="text">
+                <string>Selected Page Border:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="1">
+              <widget class="QPushButton" name="selectedPageBorderButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="0">
+              <widget class="QLabel" name="frameColorLabel">
+               <property name="text">
+                <string>Frames:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="1">
+              <widget class="QPushButton" name="frameColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="4" column="0">
+              <widget class="QLabel" name="frameLockedColorLabel">
+               <property name="text">
+                <string>Locked Frames:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="4" column="1">
+              <widget class="QPushButton" name="frameLockedColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="5" column="0">
+              <widget class="QLabel" name="frameSelectedLabel">
+               <property name="text">
+                <string>Selected Frames:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="5" column="1">
+              <widget class="QPushButton" name="frameSelectedColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="6" column="0">
+              <widget class="QLabel" name="frameLinkedColorLabel">
+               <property name="text">
+                <string>Linked Frames:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="6" column="1">
+              <widget class="QPushButton" name="frameLinkedColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="7" column="0">
+              <widget class="QLabel" name="frameGroupedColorLabel">
+               <property name="text">
+                <string>Grouped Frames:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="7" column="1">
+              <widget class="QPushButton" name="frameGroupedColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="8" column="0">
+              <widget class="QLabel" name="frameAnnotationColorLabel">
+               <property name="text">
+                <string>Annotation Frames:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="8" column="1">
+              <widget class="QPushButton" name="frameAnnotationColorButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+             <item row="9" column="0">
+              <widget class="QLabel" name="textControlCharsLabel">
+               <property name="text">
+                <string>Text Control Characters:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="9" column="1">
+              <widget class="QPushButton" name="textControlCharsButton">
+               <property name="text">
+                <string/>
+               </property>
+              </widget>
+             </item>
+            </layout>
            </item>
-           <item row="0" column="1">
-            <widget class="QPushButton" name="pageFillColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <widget class="QLabel" name="label_2">
-             <property name="text">
-              <string>Scratch Space:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="QPushButton" name="scratchSpaceColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="0">
-            <widget class="QLabel" name="label_13">
-             <property name="text">
-              <string>Selected Page Border:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="1">
-            <widget class="QPushButton" name="selectedPageBorderButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="0">
-            <widget class="QLabel" name="label_14">
-             <property name="text">
-              <string>Frames:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="1">
-            <widget class="QPushButton" name="frameColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="4" column="0">
-            <widget class="QLabel" name="label_16">
-             <property name="text">
-              <string>Locked Frames:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="4" column="1">
-            <widget class="QPushButton" name="frameLockedColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="5" column="0">
-            <widget class="QLabel" name="label_17">
-             <property name="text">
-              <string>Selected Frames:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="5" column="1">
-            <widget class="QPushButton" name="frameSelectedColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="6" column="0">
-            <widget class="QLabel" name="label_31">
-             <property name="text">
-              <string>Linked Frames:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="6" column="1">
-            <widget class="QPushButton" name="frameLinkedColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="7" column="0">
-            <widget class="QLabel" name="label_30">
-             <property name="text">
-              <string>Grouped Frames:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="7" column="1">
-            <widget class="QPushButton" name="frameGroupedColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="8" column="0">
-            <widget class="QLabel" name="label_29">
-             <property name="text">
-              <string>Annotation Frames:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="8" column="1">
-            <widget class="QPushButton" name="frameAnnotationColorButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="9" column="0">
-            <widget class="QLabel" name="label_32">
-             <property name="text">
-              <string>Text Control Characters:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="9" column="1">
-            <widget class="QPushButton" name="textControlCharsButton">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
           </layout>
          </widget>
         </widget>
diff --git a/scribus/ui/prefs_documentitemattributesbase.ui b/scribus/ui/prefs_documentitemattributesbase.ui
--- a/scribus/ui/prefs_documentitemattributesbase.ui
+++ b/scribus/ui/prefs_documentitemattributesbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
diff --git a/scribus/ui/prefs_documentsetupbase.ui b/scribus/ui/prefs_documentsetupbase.ui
--- a/scribus/ui/prefs_documentsetupbase.ui
+++ b/scribus/ui/prefs_documentsetupbase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>498</width>
-    <height>650</height>
+    <width>372</width>
+    <height>497</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -44,9 +44,9 @@
       <attribute name="title">
        <string>Size</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_4">
-       <item>
-        <widget class="QLabel" name="pageSizeTitleLabel">
+      <layout class="QFormLayout" name="formLayout_2">
+       <item row="0" column="0" colspan="2">
+        <widget class="QLabel" name="pageSizeLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -58,17 +58,71 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_2">
+       <item row="1" column="0" colspan="2">
+        <widget class="Line" name="pageSizeLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout">
+       <item row="3" column="0" colspan="2">
+        <widget class="QCheckBox" name="applySizesToAllPagesCheckBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="minimumSize">
+          <size>
+           <width>0</width>
+           <height>23</height>
+          </size>
+         </property>
+         <property name="text">
+          <string>Apply changes to all pages</string>
+         </property>
+        </widget>
+       </item>
+       <item row="4" column="0" colspan="2">
+        <widget class="QCheckBox" name="applySizesToAllMasterPagesCheckBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="minimumSize">
+          <size>
+           <width>0</width>
+           <height>23</height>
+          </size>
+         </property>
+         <property name="text">
+          <string>Apply changes to all master pages</string>
+         </property>
+        </widget>
+       </item>
+       <item row="5" column="0" colspan="2">
+        <spacer name="verticalSpacer_5">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="2" column="0" colspan="2">
+        <layout class="QFormLayout" name="pageSizeForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="pageSizeLabel">
+          <widget class="QLabel" name="pageSizeComboLabel">
            <property name="text">
             <string>Size:</string>
            </property>
@@ -148,42 +202,20 @@
          </item>
         </layout>
        </item>
-       <item>
-        <widget class="QCheckBox" name="applySizesToAllPagesCheckBox">
-         <property name="text">
-          <string>Apply changes to all pages</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="applySizesToAllMasterPagesCheckBox">
-         <property name="text">
-          <string>Apply changes to all master pages</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer name="verticalSpacer_5">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
       </layout>
+      <zorder>applySizesToAllPagesCheckBox</zorder>
+      <zorder>applySizesToAllMasterPagesCheckBox</zorder>
+      <zorder>pageSizeLabel</zorder>
+      <zorder>pageSizeLine</zorder>
+      <zorder>verticalSpacer_5</zorder>
      </widget>
      <widget class="QWidget" name="layoutTab">
       <attribute name="title">
        <string>Layout</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_6">
-       <item>
-        <widget class="QLabel" name="pageLayoutTitleLabel">
+      <layout class="QGridLayout" name="gridLayout_3">
+       <item row="0" column="0">
+        <widget class="QLabel" name="pageLayoutSize">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -195,78 +227,128 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_3">
+       <item row="1" column="0">
+        <widget class="Line" name="pageLayoutLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="pageLayoutLayout">
-         <item row="4" column="0">
-          <widget class="QLabel" name="layoutFirstPageIsLabel">
-           <property name="text">
-            <string>First Page is:</string>
-           </property>
-           <property name="buddy">
-            <cstring>layoutFirstPageIsComboBox</cstring>
-           </property>
-          </widget>
+       <item row="2" column="0">
+        <layout class="QFormLayout" name="pageLayoutForm">
+         <item row="0" column="0">
+          <layout class="QGridLayout" name="layoutRadioButtons">
+           <item row="0" column="0">
+            <widget class="QRadioButton" name="singlePageRadioButton">
+             <property name="text">
+              <string>Single Page</string>
+             </property>
+             <property name="checked">
+              <bool>true</bool>
+             </property>
+             <attribute name="buttonGroup">
+              <string notr="true">pageLayoutButtonGroup</string>
+             </attribute>
+            </widget>
+           </item>
+           <item row="1" column="0">
+            <widget class="QRadioButton" name="doublePageRadioButton">
+             <property name="text">
+              <string>Double Page</string>
+             </property>
+             <attribute name="buttonGroup">
+              <string notr="true">pageLayoutButtonGroup</string>
+             </attribute>
+            </widget>
+           </item>
+           <item row="2" column="0">
+            <widget class="QRadioButton" name="threeFoldRadioButton">
+             <property name="text">
+              <string>3-Fold</string>
+             </property>
+             <attribute name="buttonGroup">
+              <string notr="true">pageLayoutButtonGroup</string>
+             </attribute>
+            </widget>
+           </item>
+           <item row="3" column="0">
+            <widget class="QRadioButton" name="fourFoldRadioButton">
+             <property name="text">
+              <string>4-Fold</string>
+             </property>
+             <attribute name="buttonGroup">
+              <string notr="true">pageLayoutButtonGroup</string>
+             </attribute>
+            </widget>
+           </item>
+          </layout>
          </item>
-         <item row="4" column="1">
-          <widget class="QComboBox" name="layoutFirstPageIsComboBox">
-           <property name="sizeAdjustPolicy">
-            <enum>QComboBox::AdjustToContents</enum>
+         <item row="0" column="1">
+          <spacer name="horizontalSpacer_8">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
            </property>
-          </widget>
-         </item>
-         <item row="3" column="1">
-          <widget class="QRadioButton" name="fourFoldRadioButton">
-           <property name="text">
-            <string>4-Fold</string>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>20</width>
+             <height>20</height>
+            </size>
            </property>
-           <attribute name="buttonGroup">
-            <string notr="true">pageLayoutButtonGroup</string>
-           </attribute>
-          </widget>
+          </spacer>
          </item>
-         <item row="2" column="1">
-          <widget class="QRadioButton" name="threeFoldRadioButton">
-           <property name="text">
-            <string>3-Fold</string>
-           </property>
-           <attribute name="buttonGroup">
-            <string notr="true">pageLayoutButtonGroup</string>
-           </attribute>
-          </widget>
+        </layout>
+       </item>
+       <item row="3" column="0">
+        <layout class="QFormLayout" name="firstForm">
+         <item row="0" column="0">
+          <layout class="QFormLayout" name="formLayout_6">
+           <item row="0" column="0">
+            <widget class="QLabel" name="layoutFirstPageIsLabel">
+             <property name="text">
+              <string>First Page is:</string>
+             </property>
+             <property name="buddy">
+              <cstring>layoutFirstPageIsComboBox</cstring>
+             </property>
+            </widget>
+           </item>
+           <item row="0" column="1">
+            <widget class="QComboBox" name="layoutFirstPageIsComboBox">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="minimumSize">
+              <size>
+               <width>120</width>
+               <height>0</height>
+              </size>
+             </property>
+             <property name="sizeAdjustPolicy">
+              <enum>QComboBox::AdjustToContents</enum>
+             </property>
+            </widget>
+           </item>
+          </layout>
          </item>
-         <item row="1" column="1">
-          <widget class="QRadioButton" name="doublePageRadioButton">
-           <property name="text">
-            <string>Double Page</string>
-           </property>
-           <attribute name="buttonGroup">
-            <string notr="true">pageLayoutButtonGroup</string>
-           </attribute>
-          </widget>
-         </item>
          <item row="0" column="1">
-          <widget class="QRadioButton" name="singlePageRadioButton">
-           <property name="text">
-            <string>Single Page</string>
+          <spacer name="horizontalSpacer_5">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
            </property>
-           <property name="checked">
-            <bool>true</bool>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>20</width>
+             <height>20</height>
+            </size>
            </property>
-           <attribute name="buttonGroup">
-            <string notr="true">pageLayoutButtonGroup</string>
-           </attribute>
-          </widget>
+          </spacer>
          </item>
         </layout>
        </item>
-       <item>
+       <item row="4" column="0">
         <spacer name="verticalSpacer_8">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -274,7 +356,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>353</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
@@ -305,25 +387,13 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>428</width>
-            <height>525</height>
+            <width>332</width>
+            <height>397</height>
            </rect>
           </property>
-          <layout class="QVBoxLayout" name="verticalLayout_5">
-           <property name="leftMargin">
-            <number>0</number>
-           </property>
-           <property name="topMargin">
-            <number>0</number>
-           </property>
-           <property name="rightMargin">
-            <number>0</number>
-           </property>
-           <property name="bottomMargin">
-            <number>0</number>
-           </property>
-           <item>
-            <widget class="QLabel" name="marginsTitleLabel">
+          <layout class="QGridLayout" name="gridLayout_5">
+           <item row="0" column="0">
+            <widget class="QLabel" name="marginsLabel">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -335,15 +405,15 @@
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_5">
+           <item row="1" column="0">
+            <widget class="Line" name="marginsLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_6">
+           <item row="2" column="0">
+            <layout class="QHBoxLayout" name="marginsWidgetLayout">
              <property name="leftMargin">
               <number>5</number>
              </property>
@@ -374,21 +444,45 @@
              </item>
             </layout>
            </item>
-           <item>
+           <item row="3" column="0">
             <widget class="QCheckBox" name="applyMarginsToAllPagesCheckBox">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="minimumSize">
+              <size>
+               <width>0</width>
+               <height>23</height>
+              </size>
+             </property>
              <property name="text">
               <string>Apply changes to all pages</string>
              </property>
             </widget>
            </item>
-           <item>
+           <item row="4" column="0">
             <widget class="QCheckBox" name="applyMarginsToAllMasterPagesCheckBox">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="minimumSize">
+              <size>
+               <width>0</width>
+               <height>23</height>
+              </size>
+             </property>
              <property name="text">
               <string>Apply changes to all master pages</string>
              </property>
             </widget>
            </item>
-           <item>
+           <item row="5" column="0">
             <spacer name="verticalSpacer_3">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
@@ -404,8 +498,8 @@
              </property>
             </spacer>
            </item>
-           <item>
-            <widget class="QLabel" name="bleedsTitleLabel">
+           <item row="6" column="0">
+            <widget class="QLabel" name="bleedsLabel">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -417,15 +511,15 @@
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_4">
+           <item row="7" column="0">
+            <widget class="Line" name="bleedsLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_7">
+           <item row="8" column="0">
+            <layout class="QHBoxLayout" name="bleedsWidgetLayout">
              <property name="leftMargin">
               <number>5</number>
              </property>
@@ -456,7 +550,7 @@
              </item>
             </layout>
            </item>
-           <item>
+           <item row="9" column="0">
             <spacer name="verticalSpacer_4">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
@@ -464,7 +558,7 @@
              <property name="sizeHint" stdset="0">
               <size>
                <width>20</width>
-               <height>0</height>
+               <height>20</height>
               </size>
              </property>
             </spacer>
@@ -511,7 +605,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="autosaveTitleLable">
+        <widget class="QLabel" name="autosaveLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -524,7 +618,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_6">
+        <widget class="Line" name="autosaveLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -538,11 +632,11 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="autosaveLayout">
          <item>
-          <layout class="QGridLayout" name="gridLayout">
+          <layout class="QGridLayout" name="autosaveGrid">
            <item row="0" column="0">
-            <widget class="QLabel" name="label">
+            <widget class="QLabel" name="autosaveIntervalLabel">
              <property name="text">
               <string>Interval:</string>
              </property>
@@ -559,7 +653,7 @@
             </widget>
            </item>
            <item row="1" column="0">
-            <widget class="QLabel" name="label_2">
+            <widget class="QLabel" name="autosaveCountLabel">
              <property name="text">
               <string>Number of files to keep:</string>
              </property>
@@ -590,7 +684,7 @@
         </layout>
        </item>
        <item>
-        <layout class="QGridLayout" name="gridLayout_2">
+        <layout class="QGridLayout" name="autosaveDirLayout">
          <item row="0" column="0" colspan="3">
           <widget class="QRadioButton" name="autosaveDocRadio">
            <property name="text">
@@ -654,7 +748,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="undoRedoTitleLabel">
+        <widget class="QLabel" name="undoRedoLebl">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -662,12 +756,12 @@
           </font>
          </property>
          <property name="text">
-          <string>Undo / Redo</string>
+          <string>Undo/Redo</string>
          </property>
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_7">
+        <widget class="Line" name="undoRedoLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -681,7 +775,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="undoLenghtLayout">
          <item>
           <widget class="QLabel" name="undoLengthLabel">
            <property name="text">
@@ -758,8 +852,16 @@
   <tabstop>applyMarginsToAllPagesCheckBox</tabstop>
   <tabstop>applyMarginsToAllMasterPagesCheckBox</tabstop>
   <tabstop>saveCompressedCheckBox</tabstop>
+  <tabstop>emergencyCheckBox</tabstop>
   <tabstop>autosaveCheckBox</tabstop>
   <tabstop>autosaveIntervalSpinBox</tabstop>
+  <tabstop>autosaveCountSpinBox</tabstop>
+  <tabstop>autosaveDocRadio</tabstop>
+  <tabstop>autosaveDirRadio</tabstop>
+  <tabstop>autosaveDirEdit</tabstop>
+  <tabstop>changeAutoDir</tabstop>
+  <tabstop>autosaveKeepCheckBox</tabstop>
+  <tabstop>showAutosaveClockOnCanvasCheckBox</tabstop>
   <tabstop>undoCheckBox</tabstop>
   <tabstop>undoLengthSpinBox</tabstop>
  </tabstops>
diff --git a/scribus/ui/prefs_externaltoolsbase.ui b/scribus/ui/prefs_externaltoolsbase.ui
--- a/scribus/ui/prefs_externaltoolsbase.ui
+++ b/scribus/ui/prefs_externaltoolsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label_6">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line_5">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,13 +45,13 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>732</width>
-        <height>969</height>
+        <width>739</width>
+        <height>756</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout_3">
        <item>
-        <widget class="QLabel" name="label_2">
+        <widget class="QLabel" name="postScriptInterpreterLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -64,7 +64,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line">
+        <widget class="Line" name="postScriptInterpreterLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -71,7 +71,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout">
+        <layout class="QHBoxLayout" name="psExecutableLayout">
          <item>
           <widget class="QLabel" name="psToolLabel">
            <property name="text">
@@ -105,7 +105,7 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout">
+        <layout class="QHBoxLayout" name="psSettingsLayout">
          <item>
           <widget class="QCheckBox" name="psAntialiasTextCheckBox">
            <property name="toolTip">
@@ -222,7 +222,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_3">
+        <widget class="QLabel" name="imageProcessingToolLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -235,7 +235,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_3">
+        <widget class="Line" name="imageProcessingToolLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -242,7 +242,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_3">
+        <layout class="QHBoxLayout" name="imageToolLayout">
          <item>
           <widget class="QLabel" name="imageToolLabel">
            <property name="text">
@@ -292,7 +292,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_4">
+        <widget class="QLabel" name="webBrowserLabel_2">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -305,7 +305,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_4">
+        <widget class="Line" name="webBrowserLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -312,7 +312,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_4">
+        <layout class="QHBoxLayout" name="webBrowserLayout">
          <item>
           <widget class="QLabel" name="webBrowserLabel">
            <property name="text">
@@ -362,7 +362,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_8">
+        <widget class="QLabel" name="pdfViewerLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -375,7 +375,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_6">
+        <widget class="Line" name="pdfViewerLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -382,9 +382,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="pdfViewerLayout">
          <item>
-          <widget class="QLabel" name="pdfViewerLabel">
+          <widget class="QLabel" name="pdfViewerChangeLabel">
            <property name="text">
             <string>Name of &amp;Executable:</string>
            </property>
@@ -426,7 +426,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_7">
+        <widget class="QLabel" name="uniconvertorLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -439,7 +439,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_7">
+        <widget class="Line" name="uniconvertorLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -446,7 +446,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_5">
+        <layout class="QHBoxLayout" name="uniconvertorLayout">
          <item>
           <widget class="QLabel" name="uniconverterLabel">
            <property name="text">
@@ -496,7 +496,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_5">
+        <widget class="QLabel" name="renderFramesLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -509,7 +509,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="renderFramesLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -516,7 +516,7 @@
         </widget>
        </item>
        <item>
-        <widget class="QLabel" name="label">
+        <widget class="QLabel" name="configurationsLabel">
          <property name="text">
           <string>Configurations:</string>
          </property>
@@ -523,12 +523,12 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="latexConfigLayout">
          <item>
           <widget class="QListWidget" name="latexConfigsListWidget"/>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_2">
+          <layout class="QVBoxLayout" name="latexButtonsLayout">
            <property name="spacing">
             <number>6</number>
            </property>
@@ -572,7 +572,7 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout">
+        <layout class="QHBoxLayout" name="latexExternalLayout">
          <item>
           <widget class="QLabel" name="latexEditorLabel">
            <property name="text">
@@ -606,7 +606,7 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout">
+        <layout class="QHBoxLayout" name="latexEditorSettingsLayout">
          <item>
           <widget class="QCheckBox" name="latexEmptyFrameCheckBox">
            <property name="text">
@@ -656,9 +656,15 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout">
+        <layout class="QHBoxLayout" name="latexSettingsLayout">
          <item>
           <widget class="QCheckBox" name="latexForceDPICheckBox">
+           <property name="minimumSize">
+            <size>
+             <width>0</width>
+             <height>23</height>
+            </size>
+           </property>
            <property name="toolTip">
             <string>Always use the configured DPI setting for calculating the size, even if the image file reports something different</string>
            </property>
@@ -745,7 +751,7 @@
     </widget>
    </item>
    <item>
-    <layout class="QHBoxLayout">
+    <layout class="QHBoxLayout" name="rescanLayout">
      <item>
       <spacer>
        <property name="orientation">
diff --git a/scribus/ui/prefs_fontsbase.ui b/scribus/ui/prefs_fontsbase.ui
--- a/scribus/ui/prefs_fontsbase.ui
+++ b/scribus/ui/prefs_fontsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -83,7 +83,7 @@
         <widget class="QTableWidget" name="fontSubstitutionsTableWidget"/>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="deleteLayout">
          <item>
           <spacer name="horizontalSpacer">
            <property name="orientation">
@@ -114,12 +114,12 @@
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_5">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="additionalPathsLayout">
          <item>
           <widget class="QListWidget" name="pathListWidget"/>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_4">
+          <layout class="QVBoxLayout" name="buttonsLayout">
            <item>
             <widget class="QPushButton" name="changeButton">
              <property name="text">
diff --git a/scribus/ui/prefs_hyphenatorbase.ui b/scribus/ui/prefs_hyphenatorbase.ui
--- a/scribus/ui/prefs_hyphenatorbase.ui
+++ b/scribus/ui/prefs_hyphenatorbase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>711</width>
-    <height>550</height>
+    <width>564</width>
+    <height>448</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -40,7 +40,7 @@
      <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tab">
+     <widget class="QWidget" name="behaviourTab">
       <attribute name="title">
        <string>Behaviour</string>
       </attribute>
@@ -66,9 +66,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="hyphLanguageLayout">
          <item>
-          <widget class="QLabel" name="label_2">
+          <widget class="QLabel" name="hyphLanguageLabel">
            <property name="text">
             <string>Language:</string>
            </property>
@@ -103,7 +103,7 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_4">
+        <layout class="QHBoxLayout" name="smallestWordLayout">
          <item>
           <widget class="QLabel" name="smallestWordLabel">
            <property name="text">
@@ -128,7 +128,7 @@
           </widget>
          </item>
          <item>
-          <widget class="QLabel" name="label_3">
+          <widget class="QLabel" name="smallestWordLabel2">
            <property name="text">
             <string>Characters</string>
            </property>
@@ -150,9 +150,9 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_3">
+        <layout class="QHBoxLayout" name="maxConsecutiveCountLayout">
          <item>
-          <widget class="QLabel" name="label_4">
+          <widget class="QLabel" name="maxConsecutiveCountLabel">
            <property name="text">
             <string>Consecutive Hyphenations Allowed:</string>
            </property>
@@ -205,15 +205,15 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_2">
+     <widget class="QWidget" name="wordListsTab">
       <attribute name="title">
        <string>Word Lists</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_3">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="wordListsLayout">
          <item>
-          <widget class="QGroupBox" name="groupBox_2">
+          <widget class="QGroupBox" name="exceptionGroup">
            <property name="title">
             <string>Exceptions</string>
            </property>
@@ -274,7 +274,7 @@
           </widget>
          </item>
          <item>
-          <widget class="QGroupBox" name="groupBox_3">
+          <widget class="QGroupBox" name="ignoreListGroup">
            <property name="title">
             <string>Ignore List</string>
            </property>
diff --git a/scribus/ui/prefs_guidesbase.ui b/scribus/ui/prefs_guidesbase.ui
--- a/scribus/ui/prefs_guidesbase.ui
+++ b/scribus/ui/prefs_guidesbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,17 +29,24 @@
     </widget>
    </item>
    <item>
+    <widget class="Line" name="titleLine">
+     <property name="orientation">
+      <enum>Qt::Horizontal</enum>
+     </property>
+    </widget>
+   </item>
+   <item>
     <widget class="QTabWidget" name="tabWidget">
      <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tab">
+     <widget class="QWidget" name="placementTab">
       <attribute name="title">
        <string>Placement</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_7">
        <item>
-        <widget class="QLabel" name="label_2">
+        <widget class="QLabel" name="placementLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -52,7 +59,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_3">
+        <widget class="Line" name="placementLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -59,7 +66,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="placementLayout">
          <item>
           <widget class="QListWidget" name="guidePlacementListBox">
            <property name="maximumSize">
@@ -77,7 +84,7 @@
           </widget>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_6">
+          <layout class="QVBoxLayout" name="buttonsLayout">
            <item>
             <spacer name="verticalSpacer_5">
              <property name="orientation">
@@ -92,7 +99,7 @@
             </spacer>
            </item>
            <item>
-            <layout class="QVBoxLayout" name="verticalLayout">
+            <layout class="QVBoxLayout" name="buttonsLayout2">
              <property name="sizeConstraint">
               <enum>QLayout::SetMinimumSize</enum>
              </property>
@@ -146,11 +153,11 @@
           </layout>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_5">
+          <layout class="QVBoxLayout" name="guideDistances">
            <item>
-            <layout class="QGridLayout" name="gridLayout">
+            <layout class="QGridLayout" name="guideDistances2">
              <item row="0" column="0">
-              <widget class="QLabel" name="label_4">
+              <widget class="QLabel" name="guideSnapDistanceLabel">
                <property name="text">
                 <string>Snap Distance:</string>
                </property>
@@ -170,7 +177,7 @@
               </widget>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_3">
+              <widget class="QLabel" name="guideGrabRadiusLabel">
                <property name="text">
                 <string>Grab Radius:</string>
                </property>
@@ -225,7 +232,7 @@
         </layout>
        </item>
        <item>
-        <widget class="QLabel" name="label_7">
+        <widget class="QLabel" name="distancesLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -238,7 +245,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="distancesLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -245,9 +252,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="distancesLayout">
          <item>
-          <layout class="QGridLayout" name="gridLayout_2">
+          <layout class="QGridLayout" name="distancesLayout2">
            <item row="0" column="0">
             <widget class="QLabel" name="majorGridSpacingLabel">
              <property name="text">
@@ -324,22 +331,15 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_2">
+     <widget class="QWidget" name="visibilityTab">
       <attribute name="title">
        <string>Visibility</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_3">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_3">
+        <layout class="QHBoxLayout" name="visibilityLayout">
          <item>
-          <layout class="QGridLayout" name="gridLayout_3" rowminimumheight="20,20,20,20">
-           <item row="0" column="0">
-            <widget class="QCheckBox" name="visibilityGuidesCheckBox">
-             <property name="text">
-              <string>Guides</string>
-             </property>
-            </widget>
-           </item>
+          <layout class="QGridLayout" name="visibilityLayout2" rowminimumheight="20,20,20,20">
            <item row="1" column="0">
             <widget class="QCheckBox" name="visibilityMarginsCheckBox">
              <property name="sizePolicy">
@@ -359,21 +359,28 @@
              </property>
             </widget>
            </item>
-           <item row="2" column="0">
-            <widget class="QCheckBox" name="visibilityGridCheckBox">
+           <item row="3" column="0">
+            <widget class="QCheckBox" name="visibilityBaselineGridCheckBox">
              <property name="text">
-              <string>Page Grid</string>
+              <string>Baseline Grid</string>
              </property>
             </widget>
            </item>
-           <item row="2" column="1">
-            <widget class="QLabel" name="label_8">
+           <item row="0" column="0">
+            <widget class="QCheckBox" name="visibilityGuidesCheckBox">
              <property name="text">
-              <string>Type:</string>
+              <string>Guides</string>
              </property>
             </widget>
            </item>
-           <item row="2" column="2">
+           <item row="2" column="0">
+            <widget class="QCheckBox" name="visibilityGridCheckBox">
+             <property name="text">
+              <string>Page Grid</string>
+             </property>
+            </widget>
+           </item>
+           <item row="2" column="3">
             <widget class="QComboBox" name="gridTypeCombo">
              <property name="enabled">
               <bool>false</bool>
@@ -383,13 +390,29 @@
              </property>
             </widget>
            </item>
-           <item row="3" column="0">
-            <widget class="QCheckBox" name="visibilityBaselineGridCheckBox">
+           <item row="2" column="2">
+            <widget class="QLabel" name="gridTypeComboLabel">
              <property name="text">
-              <string>Baseline Grid</string>
+              <string>Type:</string>
              </property>
             </widget>
            </item>
+           <item row="2" column="1">
+            <spacer name="horizontalSpacer_4">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
           </layout>
          </item>
          <item>
@@ -422,18 +445,18 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabColors">
+     <widget class="QWidget" name="colorsTab">
       <attribute name="title">
        <string>Colors</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_4">
        <item>
-        <layout class="QFormLayout" name="formLayout_2">
+        <layout class="QFormLayout" name="colorsForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_15">
+          <widget class="QLabel" name="guideColorPushButtonLabel">
            <property name="text">
             <string>Guides:</string>
            </property>
@@ -447,7 +470,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_12">
+          <widget class="QLabel" name="marginColorPushButtonLabel">
            <property name="text">
             <string>Margins:</string>
            </property>
@@ -461,7 +484,7 @@
           </widget>
          </item>
          <item row="2" column="0">
-          <widget class="QLabel" name="label_13">
+          <widget class="QLabel" name="majorGridColorLabel">
            <property name="text">
             <string>Major Grid:</string>
            </property>
@@ -475,7 +498,7 @@
           </widget>
          </item>
          <item row="3" column="0">
-          <widget class="QLabel" name="label_16">
+          <widget class="QLabel" name="minorGridColorLabel">
            <property name="text">
             <string>Minor Grid:</string>
            </property>
@@ -489,7 +512,7 @@
           </widget>
          </item>
          <item row="4" column="0">
-          <widget class="QLabel" name="label_14">
+          <widget class="QLabel" name="baselineGridColorLabel">
            <property name="text">
             <string>Baseline Grid:</string>
            </property>
diff --git a/scribus/ui/prefs_imagecachebase.ui b/scribus/ui/prefs_imagecachebase.ui
--- a/scribus/ui/prefs_imagecachebase.ui
+++ b/scribus/ui/prefs_imagecachebase.ui
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>582</width>
+    <width>412</width>
     <height>277</height>
    </rect>
   </property>
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,12 +45,12 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>556</width>
-        <height>209</height>
+        <width>392</width>
+        <height>221</height>
        </rect>
       </property>
-      <layout class="QVBoxLayout" name="verticalLayout_2">
-       <item>
+      <layout class="QFormLayout" name="formLayout_2">
+       <item row="0" column="0">
         <widget class="QCheckBox" name="enableImageCacheCheckBox">
          <property name="text">
           <string>Enable Image Cache</string>
@@ -57,8 +57,11 @@
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout">
+       <item row="1" column="0">
+        <layout class="QFormLayout" name="imageCacheForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <property name="formAlignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
@@ -90,7 +93,7 @@
             </size>
            </property>
            <property name="alignment">
-            <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
            </property>
            <property name="buttonSymbols">
             <enum>QAbstractSpinBox::UpDownArrows</enum>
@@ -140,7 +143,7 @@
             </size>
            </property>
            <property name="alignment">
-            <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
            </property>
            <property name="minimum">
             <number>100</number>
@@ -181,7 +184,7 @@
             </size>
            </property>
            <property name="alignment">
-            <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
            </property>
            <property name="minimum">
             <number>0</number>
@@ -196,7 +199,7 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="2" column="0">
         <spacer name="verticalSpacer">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
diff --git a/scribus/ui/prefs_itemtoolsbase.ui b/scribus/ui/prefs_itemtoolsbase.ui
--- a/scribus/ui/prefs_itemtoolsbase.ui
+++ b/scribus/ui/prefs_itemtoolsbase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>659</width>
-    <height>762</height>
+    <width>605</width>
+    <height>735</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -52,7 +52,7 @@
      <property name="usesScrollButtons">
       <bool>false</bool>
      </property>
-     <widget class="QWidget" name="tabWidgetPage1">
+     <widget class="QWidget" name="textTab">
       <attribute name="title">
        <string>Text</string>
       </attribute>
@@ -88,113 +88,177 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>637</width>
-            <height>680</height>
+            <width>583</width>
+            <height>653</height>
            </rect>
           </property>
-          <layout class="QGridLayout" name="gridLayout_5">
-           <item row="2" column="1">
-            <widget class="QLabel" name="label_43">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="5" column="0" colspan="3">
-            <widget class="Line" name="line_6">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
-             </property>
-            </widget>
-           </item>
-           <item row="4" column="0">
-            <widget class="QLabel" name="ColumnsAndTextDistances">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
-             <property name="text">
-              <string>Columns &amp; Text Distances</string>
-             </property>
-            </widget>
-           </item>
+          <layout class="QGridLayout" name="gridLayout_3">
            <item row="9" column="0" colspan="3">
-            <widget class="Line" name="line_5">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
-             </property>
-            </widget>
+            <layout class="QGridLayout" name="textGrid">
+             <item row="3" column="3">
+              <widget class="QLabel" name="textColorStrokeLabel">
+               <property name="text">
+                <string>Shading:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="1">
+              <widget class="ColorCombo" name="textStrokeColorComboBox"/>
+             </item>
+             <item row="3" column="4">
+              <widget class="QSpinBox" name="textStrokeShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="3">
+              <widget class="QLabel" name="textColorShadingLabel">
+               <property name="text">
+                <string>Shading:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="0">
+              <widget class="QLabel" name="strokeLabel">
+               <property name="text">
+                <string>Stroke:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="4">
+              <widget class="QSpinBox" name="textColorShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="0">
+              <widget class="QLabel" name="fontLabel">
+               <property name="text">
+                <string>Font:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="1">
+              <widget class="ScrSpinBox" name="textSizeSpinBox"/>
+             </item>
+             <item row="2" column="0">
+              <widget class="QLabel" name="textColorLabel">
+               <property name="text">
+                <string>Color:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="1">
+              <widget class="ColorCombo" name="textColorComboBox"/>
+             </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="sizeLabel">
+               <property name="text">
+                <string>Size:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="2">
+              <spacer name="horizontalSpacer_2">
+               <property name="orientation">
+                <enum>Qt::Horizontal</enum>
+               </property>
+               <property name="sizeType">
+                <enum>QSizePolicy::Fixed</enum>
+               </property>
+               <property name="sizeHint" stdset="0">
+                <size>
+                 <width>20</width>
+                 <height>20</height>
+                </size>
+               </property>
+              </spacer>
+             </item>
+             <item row="1" column="5" rowspan="3">
+              <spacer name="horizontalSpacer">
+               <property name="orientation">
+                <enum>Qt::Horizontal</enum>
+               </property>
+               <property name="sizeHint" stdset="0">
+                <size>
+                 <width>20</width>
+                 <height>20</height>
+                </size>
+               </property>
+              </spacer>
+             </item>
+             <item row="0" column="1" colspan="5">
+              <layout class="QFormLayout" name="textFontForm">
+               <item row="0" column="0">
+                <widget class="FontCombo" name="textFontComboBox">
+                 <property name="sizePolicy">
+                  <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                   <horstretch>0</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
+                </widget>
+               </item>
+               <item row="0" column="1">
+                <spacer name="horizontalSpacer_19">
+                 <property name="orientation">
+                  <enum>Qt::Horizontal</enum>
+                 </property>
+                 <property name="sizeHint" stdset="0">
+                  <size>
+                   <width>20</width>
+                   <height>20</height>
+                  </size>
+                 </property>
+                </spacer>
+               </item>
+              </layout>
+             </item>
+            </layout>
            </item>
-           <item row="0" column="2">
-            <spacer name="horizontalSpacer_13">
+           <item row="5" column="2">
+            <spacer name="horizontalSpacer_15">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
-               <width>40</width>
+               <width>20</width>
                <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
-           <item row="16" column="0">
-            <spacer name="verticalSpacer_10">
+           <item row="8" column="0" colspan="3">
+            <widget class="Line" name="textLabel_2">
              <property name="orientation">
-              <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>40</height>
-              </size>
-             </property>
-            </spacer>
-           </item>
-           <item row="14" column="0" colspan="3">
-            <widget class="Line" name="line_3">
-             <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item row="13" column="0">
-            <widget class="QLabel" name="label_11">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
-             <property name="text">
-              <string>Preview</string>
-             </property>
-            </widget>
-           </item>
-           <item row="6" column="2">
-            <spacer name="horizontalSpacer_15">
+           <item row="0" column="2">
+            <spacer name="horizontalSpacer_13">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <property name="sizeHint" stdset="0">
               <size>
-               <width>40</width>
+               <width>20</width>
                <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
-           <item row="1" column="1">
-            <widget class="QLabel" name="label_42">
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="6" column="0" colspan="2">
-            <layout class="QGridLayout" name="gridLayout_3">
+           <item row="5" column="0" colspan="2">
+            <layout class="QGridLayout" name="columnsGrid">
              <item row="2" column="4">
               <widget class="ScrSpinBox" name="rightTextDistanceSpinBox"/>
              </item>
@@ -212,7 +276,7 @@
               <widget class="ScrSpinBox" name="topTextDistanceSpinBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="TopLabel">
+              <widget class="QLabel" name="topLabel">
                <property name="text">
                 <string>Top:</string>
                </property>
@@ -222,7 +286,7 @@
               <widget class="ScrSpinBox" name="leftTextDistanceSpinBox"/>
              </item>
              <item row="2" column="0">
-              <widget class="QLabel" name="BottomLabel">
+              <widget class="QLabel" name="bottomLabel">
                <property name="text">
                 <string>Bottom:</string>
                </property>
@@ -229,7 +293,7 @@
               </widget>
              </item>
              <item row="1" column="3">
-              <widget class="QLabel" name="LefLabel">
+              <widget class="QLabel" name="leftLabel">
                <property name="text">
                 <string>Left:</string>
                </property>
@@ -236,7 +300,7 @@
               </widget>
              </item>
              <item row="0" column="0">
-              <widget class="QLabel" name="ColumnsLabel">
+              <widget class="QLabel" name="columnsLabel">
                <property name="text">
                 <string>Columns:</string>
                </property>
@@ -243,7 +307,7 @@
               </widget>
              </item>
              <item row="0" column="3">
-              <widget class="QLabel" name="ColumnGapLabel">
+              <widget class="QLabel" name="columnGapLabel">
                <property name="text">
                 <string>Column Gap:</string>
                </property>
@@ -253,7 +317,7 @@
               <widget class="ScrSpinBox" name="bottomTextDistanceSpinBox"/>
              </item>
              <item row="2" column="3">
-              <widget class="QLabel" name="RightLabel">
+              <widget class="QLabel" name="rightLabel">
                <property name="text">
                 <string>Right:</string>
                </property>
@@ -277,8 +341,115 @@
              </item>
             </layout>
            </item>
-           <item row="0" column="0" rowspan="3" colspan="2">
-            <layout class="QGridLayout" name="gridLayout_2">
+           <item row="12" column="0" colspan="3">
+            <widget class="Line" name="previewLine">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+            </widget>
+           </item>
+           <item row="14" column="0">
+            <spacer name="verticalSpacer_10">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="11" column="0">
+            <widget class="QLabel" name="previewLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
+             </property>
+             <property name="text">
+              <string>Preview</string>
+             </property>
+            </widget>
+           </item>
+           <item row="4" column="0" colspan="3">
+            <widget class="Line" name="columnsAndTextDistancesLine">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+            </widget>
+           </item>
+           <item row="2" column="0">
+            <spacer name="verticalSpacer">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="7" column="0">
+            <widget class="QLabel" name="textLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
+             </property>
+             <property name="text">
+              <string>Text</string>
+             </property>
+            </widget>
+           </item>
+           <item row="13" column="0" colspan="3">
+            <widget class="QLabel" name="textPreviewWidget">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="minimumSize">
+              <size>
+               <width>400</width>
+               <height>100</height>
+              </size>
+             </property>
+             <property name="frameShape">
+              <enum>QFrame::NoFrame</enum>
+             </property>
+             <property name="text">
+              <string/>
+             </property>
+            </widget>
+           </item>
+           <item row="6" column="0">
+            <spacer name="verticalSpacer_2">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="0" column="0" rowspan="2" colspan="2">
+            <layout class="QGridLayout" name="textSetupGrid">
              <item row="0" column="0">
               <widget class="QLabel" name="textFillColorLabel">
                <property name="text">
@@ -330,7 +501,7 @@
               </widget>
              </item>
              <item row="3" column="0">
-              <widget class="QLabel" name="TabWidthLabel">
+              <widget class="QLabel" name="tabWidthLabel">
                <property name="text">
                 <string>Tab Width:</string>
                </property>
@@ -337,7 +508,7 @@
               </widget>
              </item>
              <item row="2" column="0">
-              <widget class="QLabel" name="TabFillCharacterLabel">
+              <widget class="QLabel" name="tabFillCharacterLabel">
                <property name="text">
                 <string>Tab Fill Character:</string>
                </property>
@@ -383,150 +554,8 @@
              </item>
             </layout>
            </item>
-           <item row="10" column="0" colspan="3">
-            <layout class="QGridLayout" name="gridLayout_4">
-             <item row="3" column="3">
-              <widget class="QLabel" name="textColorStrokeLabel">
-               <property name="text">
-                <string>Shading:</string>
-               </property>
-              </widget>
-             </item>
-             <item row="3" column="1">
-              <widget class="ColorCombo" name="textStrokeColorComboBox"/>
-             </item>
-             <item row="3" column="4">
-              <widget class="QSpinBox" name="textStrokeShadingSpinBox">
-               <property name="suffix">
-                <string> %</string>
-               </property>
-               <property name="maximum">
-                <number>100</number>
-               </property>
-              </widget>
-             </item>
-             <item row="2" column="3">
-              <widget class="QLabel" name="textColorShadingLabel">
-               <property name="text">
-                <string>Shading:</string>
-               </property>
-              </widget>
-             </item>
-             <item row="3" column="0">
-              <widget class="QLabel" name="StrokeLabel">
-               <property name="text">
-                <string>Stroke:</string>
-               </property>
-              </widget>
-             </item>
-             <item row="2" column="4">
-              <widget class="QSpinBox" name="textColorShadingSpinBox">
-               <property name="suffix">
-                <string> %</string>
-               </property>
-               <property name="maximum">
-                <number>100</number>
-               </property>
-              </widget>
-             </item>
-             <item row="0" column="0">
-              <widget class="QLabel" name="FontLabel">
-               <property name="text">
-                <string>Font:</string>
-               </property>
-              </widget>
-             </item>
-             <item row="1" column="1">
-              <widget class="ScrSpinBox" name="textSizeSpinBox"/>
-             </item>
-             <item row="2" column="0">
-              <widget class="QLabel" name="textColorLabel">
-               <property name="text">
-                <string>Color:</string>
-               </property>
-              </widget>
-             </item>
-             <item row="2" column="1">
-              <widget class="ColorCombo" name="textColorComboBox"/>
-             </item>
-             <item row="1" column="0">
-              <widget class="QLabel" name="SizeLabel">
-               <property name="text">
-                <string>Size:</string>
-               </property>
-              </widget>
-             </item>
-             <item row="2" column="2">
-              <spacer name="horizontalSpacer_2">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeType">
-                <enum>QSizePolicy::Fixed</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>20</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-             <item row="1" column="5" rowspan="3">
-              <spacer name="horizontalSpacer">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>40</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-             <item row="0" column="1" colspan="5">
-              <widget class="FontCombo" name="textFontComboBox"/>
-             </item>
-            </layout>
-           </item>
-           <item row="8" column="0">
-            <widget class="QLabel" name="label_19">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
-             <property name="text">
-              <string>Text</string>
-             </property>
-            </widget>
-           </item>
-           <item row="15" column="0" colspan="3">
-            <widget class="QLabel" name="textPreviewWidget">
-             <property name="sizePolicy">
-              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-               <horstretch>0</horstretch>
-               <verstretch>0</verstretch>
-              </sizepolicy>
-             </property>
-             <property name="minimumSize">
-              <size>
-               <width>400</width>
-               <height>100</height>
-              </size>
-             </property>
-             <property name="frameShape">
-              <enum>QFrame::NoFrame</enum>
-             </property>
-             <property name="text">
-              <string/>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="0" colspan="2">
-            <spacer name="verticalSpacer">
+           <item row="10" column="0">
+            <spacer name="verticalSpacer_3">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
              </property>
@@ -541,38 +570,19 @@
              </property>
             </spacer>
            </item>
-           <item row="7" column="0" colspan="2">
-            <spacer name="verticalSpacer_2">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
+           <item row="3" column="0">
+            <widget class="QLabel" name="columnsAndTextDistancesLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
              </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Fixed</enum>
+             <property name="text">
+              <string>Columns &amp; Text Distances</string>
              </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>20</height>
-              </size>
-             </property>
-            </spacer>
+            </widget>
            </item>
-           <item row="12" column="0" colspan="3">
-            <spacer name="verticalSpacer_3">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Fixed</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>20</height>
-              </size>
-             </property>
-            </spacer>
-           </item>
           </layout>
          </widget>
         </widget>
@@ -579,7 +589,7 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab">
+     <widget class="QWidget" name="imagesTab">
       <attribute name="title">
        <string>Images</string>
       </attribute>
@@ -615,13 +625,13 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>637</width>
-            <height>680</height>
+            <width>583</width>
+            <height>653</height>
            </rect>
           </property>
           <layout class="QFormLayout" name="formLayout_6">
            <item row="0" column="0">
-            <layout class="QGridLayout" name="gridLayout_6">
+            <layout class="QGridLayout" name="imagesGrid">
              <item row="1" column="4">
               <widget class="QSpinBox" name="imageFrameLineShadingSpinBox">
                <property name="suffix">
@@ -734,7 +744,7 @@
             </spacer>
            </item>
            <item row="3" column="0">
-            <widget class="QLabel" name="ScalingLabel">
+            <widget class="QLabel" name="scalingLabel">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -747,7 +757,7 @@
             </widget>
            </item>
            <item row="4" column="0" colspan="2">
-            <widget class="Line" name="line_2">
+            <widget class="Line" name="scalingLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
@@ -797,7 +807,7 @@
             </spacer>
            </item>
            <item row="10" column="0">
-            <widget class="QLabel" name="OnScreenPreviewLabel">
+            <widget class="QLabel" name="onScreenPreviewLabel">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -810,7 +820,7 @@
             </widget>
            </item>
            <item row="11" column="0" colspan="2">
-            <widget class="Line" name="line_4">
+            <widget class="Line" name="onScreenPreviewLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
@@ -860,9 +870,9 @@
             </spacer>
            </item>
            <item row="6" column="0">
-            <layout class="QFormLayout" name="formLayout_5">
+            <layout class="QFormLayout" name="scalingForm">
              <item row="0" column="0">
-              <layout class="QGridLayout" name="gridLayout_7">
+              <layout class="QGridLayout" name="scalingGrid">
                <item row="1" column="0">
                 <widget class="QLabel" name="imageVerticalScaleLabel">
                  <property name="text">
@@ -963,13 +973,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabWidgetPage2">
+     <widget class="QWidget" name="shapesTab">
       <attribute name="title">
        <string>Shapes</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout">
        <item row="0" column="0">
-        <layout class="QGridLayout" name="gridLayout_9">
+        <layout class="QGridLayout" name="shapesGrid">
          <item row="0" column="1">
           <widget class="ColorCombo" name="shapeFrameFillColorComboBox"/>
          </item>
@@ -1096,13 +1106,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_2">
+     <widget class="QWidget" name="regularPolygonsTab">
       <attribute name="title">
        <string>Regular Polygons</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_6">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_7">
+        <layout class="QHBoxLayout" name="regularPolygonsLayout">
          <item>
           <widget class="PolygonWidget" name="polygonWidget" native="true">
            <property name="minimumSize">
@@ -1143,13 +1153,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_3">
+     <widget class="QWidget" name="linesTab">
       <attribute name="title">
        <string>Lines</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_2">
        <item row="0" column="0">
-        <layout class="QGridLayout" name="gridLayout_10">
+        <layout class="QGridLayout" name="linesGridLayout">
          <item row="0" column="0">
           <widget class="QLabel" name="lineColorLabel">
            <property name="text">
@@ -1263,13 +1273,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_4">
+     <widget class="QWidget" name="calligraphicPenTab">
       <attribute name="title">
        <string>Calligraphic Pen</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_3">
        <item row="0" column="0">
-        <layout class="QGridLayout" name="gridLayout">
+        <layout class="QGridLayout" name="calligraphicPenGrid">
          <item row="3" column="0">
           <widget class="QLabel" name="calLineWidthLabel">
            <property name="text">
@@ -1410,13 +1420,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_5">
+     <widget class="QWidget" name="arcTab">
       <attribute name="title">
        <string>Arc</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_10">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_11">
+        <layout class="QHBoxLayout" name="arcLayout">
          <item>
           <widget class="ArcWidget" name="arcDisplay" native="true">
            <property name="minimumSize">
@@ -1457,13 +1467,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_6">
+     <widget class="QWidget" name="spiralTab">
       <attribute name="title">
        <string>Spiral</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_11">
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_12">
+        <layout class="QHBoxLayout" name="spiralLayout">
          <item>
           <widget class="SpiralWidget" name="spiralDisplay" native="true">
            <property name="sizePolicy">
@@ -1569,8 +1579,8 @@
   <tabstop>textFontComboBox</tabstop>
   <tabstop>textSizeSpinBox</tabstop>
   <tabstop>textColorComboBox</tabstop>
+  <tabstop>textStrokeColorComboBox</tabstop>
   <tabstop>textColorShadingSpinBox</tabstop>
-  <tabstop>textStrokeColorComboBox</tabstop>
   <tabstop>textStrokeShadingSpinBox</tabstop>
   <tabstop>scrollArea_2</tabstop>
   <tabstop>imageFrameFillColorComboBox</tabstop>
diff --git a/scribus/ui/prefs_keyboardshortcutsbase.ui b/scribus/ui/prefs_keyboardshortcutsbase.ui
--- a/scribus/ui/prefs_keyboardshortcutsbase.ui
+++ b/scribus/ui/prefs_keyboardshortcutsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,13 +45,13 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>789</width>
-        <height>504</height>
+        <width>795</width>
+        <height>516</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout_2">
        <item>
-        <layout class="QHBoxLayout">
+        <layout class="QHBoxLayout" name="searchHLayout">
          <item>
           <widget class="QPushButton" name="clearSearchButton">
            <property name="text">
@@ -60,7 +60,7 @@
           </widget>
          </item>
          <item>
-          <widget class="QLabel" name="textLabel2">
+          <widget class="QLabel" name="searchTextLabel">
            <property name="text">
             <string>Search:</string>
            </property>
@@ -105,7 +105,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_3">
+        <widget class="QLabel" name="shortcutActionLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -118,7 +118,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_3">
+        <widget class="Line" name="shortcutActionLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -125,7 +125,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="keyHLayout">
          <item>
           <widget class="QRadioButton" name="noKey">
            <property name="text">
@@ -147,7 +147,7 @@
           </widget>
          </item>
          <item>
-          <spacer>
+          <spacer name="spacer">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
@@ -216,7 +216,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_4">
+        <widget class="QLabel" name="loadableShortcutLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -229,7 +229,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_4">
+        <widget class="Line" name="loadableShortcutLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -236,7 +236,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="loadableShortcutHLayout">
          <item>
           <widget class="QComboBox" name="loadableSets">
            <property name="toolTip">
diff --git a/scribus/ui/prefs_miscellaneousbase.ui b/scribus/ui/prefs_miscellaneousbase.ui
--- a/scribus/ui/prefs_miscellaneousbase.ui
+++ b/scribus/ui/prefs_miscellaneousbase.ui
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>691</width>
+    <width>523</width>
     <height>420</height>
    </rect>
   </property>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,8 +45,8 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>665</width>
-        <height>352</height>
+        <width>503</width>
+        <height>364</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout">
@@ -81,7 +81,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label">
+        <widget class="QLabel" name="loremIpsumLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -94,7 +94,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="loremIpsumLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -108,9 +108,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="paragraphCountLayout">
          <item>
-          <widget class="QLabel" name="label_2">
+          <widget class="QLabel" name="loremIpsumParaCountLabel">
            <property name="text">
             <string>Paragraph Count:</string>
            </property>
diff --git a/scribus/ui/prefs_operatortoolsbase.ui b/scribus/ui/prefs_operatortoolsbase.ui
--- a/scribus/ui/prefs_operatortoolsbase.ui
+++ b/scribus/ui/prefs_operatortoolsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -52,37 +52,23 @@
      <property name="usesScrollButtons">
       <bool>false</bool>
      </property>
-     <widget class="QWidget" name="tab_4">
+     <widget class="QWidget" name="zoomTab">
       <attribute name="title">
        <string>Zoom</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_2">
-       <item>
-        <layout class="QFormLayout" name="formLayout">
+      <layout class="QGridLayout" name="gridLayout">
+       <item row="0" column="0">
+        <layout class="QFormLayout" name="zoomForm">
          <property name="formAlignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_2">
+          <widget class="QLabel" name="zoomMinimumLabel">
            <property name="text">
             <string>Minimum:</string>
            </property>
           </widget>
          </item>
-         <item row="1" column="0">
-          <widget class="QLabel" name="label_3">
-           <property name="text">
-            <string>Maximum:</string>
-           </property>
-          </widget>
-         </item>
-         <item row="2" column="0">
-          <widget class="QLabel" name="label_4">
-           <property name="text">
-            <string>Stepping:</string>
-           </property>
-          </widget>
-         </item>
          <item row="0" column="1">
           <widget class="ScrSpinBox" name="zoomMinimumSpinBox">
            <property name="suffix">
@@ -96,6 +82,13 @@
            </property>
           </widget>
          </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="zoomMaximumLabel">
+           <property name="text">
+            <string>Maximum:</string>
+           </property>
+          </widget>
+         </item>
          <item row="1" column="1">
           <widget class="QSpinBox" name="zoomMaximumSpinBox">
            <property name="suffix">
@@ -109,6 +102,13 @@
            </property>
           </widget>
          </item>
+         <item row="2" column="0">
+          <widget class="QLabel" name="zoomSteppingLabel">
+           <property name="text">
+            <string>Stepping:</string>
+           </property>
+          </widget>
+         </item>
          <item row="2" column="1">
           <widget class="QSpinBox" name="zoomSteppingSpinBox">
            <property name="suffix">
@@ -124,7 +124,7 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="1" column="0">
         <spacer name="verticalSpacer">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -132,20 +132,33 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>231</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
+       <item row="0" column="1">
+        <spacer name="horizontalSpacer">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>386</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_5">
+     <widget class="QWidget" name="miscellaneousTab">
       <attribute name="title">
        <string>Miscellaneous</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_3">
-       <item>
-        <widget class="QLabel" name="label_5">
+      <layout class="QFormLayout" name="formLayout_4">
+       <item row="0" column="0" colspan="2">
+        <widget class="QLabel" name="itemDuplicateLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -157,41 +170,14 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_2">
+       <item row="1" column="0" colspan="2">
+        <widget class="Line" name="itemDuplicateLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout_2">
-         <property name="formAlignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-         </property>
-         <item row="0" column="0">
-          <widget class="QLabel" name="label_6">
-           <property name="text">
-            <string>X Displacement:</string>
-           </property>
-          </widget>
-         </item>
-         <item row="1" column="0">
-          <widget class="QLabel" name="label_7">
-           <property name="text">
-            <string>Y Displacement:</string>
-           </property>
-          </widget>
-         </item>
-         <item row="0" column="1">
-          <widget class="ScrSpinBox" name="itemDuplicateXDispSpinBox"/>
-         </item>
-         <item row="1" column="1">
-          <widget class="ScrSpinBox" name="itemDuplicateYDispSpinBox"/>
-         </item>
-        </layout>
-       </item>
-       <item>
+       <item row="3" column="1">
         <spacer name="verticalSpacer_2">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -207,8 +193,8 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_8">
+       <item row="4" column="0" colspan="2">
+        <widget class="QLabel" name="rotationToolLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -220,20 +206,23 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_3">
+       <item row="5" column="0" colspan="2">
+        <widget class="Line" name="rotationToolLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout_3">
+       <item row="6" column="0" colspan="2">
+        <layout class="QFormLayout" name="rotationToolForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <property name="formAlignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_9">
+          <widget class="QLabel" name="rotationConstraintLabel">
            <property name="text">
             <string>Constrain To:</string>
            </property>
@@ -244,7 +233,7 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="7" column="1">
         <spacer name="verticalSpacer_3">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -252,11 +241,41 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>112</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
+       <item row="2" column="0" colspan="2">
+        <layout class="QFormLayout" name="itemDuplicateForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
+         <property name="formAlignment">
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+         </property>
+         <item row="0" column="0">
+          <widget class="QLabel" name="itemDuplicateXDispLabel">
+           <property name="text">
+            <string>X Displacement:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="itemDuplicateYDispLabel">
+           <property name="text">
+            <string>Y Displacement:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="ScrSpinBox" name="itemDuplicateXDispSpinBox"/>
+         </item>
+         <item row="1" column="1">
+          <widget class="ScrSpinBox" name="itemDuplicateYDispSpinBox"/>
+         </item>
+        </layout>
+       </item>
       </layout>
      </widget>
     </widget>
diff --git a/scribus/ui/prefs_pagesizesbase.ui b/scribus/ui/prefs_pagesizesbase.ui
--- a/scribus/ui/prefs_pagesizesbase.ui
+++ b/scribus/ui/prefs_pagesizesbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_4">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -36,11 +36,11 @@
     </widget>
    </item>
    <item>
-    <layout class="QHBoxLayout" name="horizontalLayout">
+    <layout class="QHBoxLayout" name="pageSizesLayout">
      <item>
-      <layout class="QVBoxLayout" name="verticalLayout_2">
+      <layout class="QVBoxLayout" name="availableSizesLayout">
        <item>
-        <widget class="QLabel" name="label_2">
+        <widget class="QLabel" name="availableSizesLabel">
          <property name="text">
           <string>Available Sizes</string>
          </property>
@@ -62,7 +62,7 @@
       </layout>
      </item>
      <item>
-      <layout class="QVBoxLayout" name="verticalLayout">
+      <layout class="QVBoxLayout" name="buttonLayout">
        <item>
         <spacer name="verticalSpacer">
          <property name="orientation">
@@ -106,9 +106,9 @@
       </layout>
      </item>
      <item>
-      <layout class="QVBoxLayout" name="verticalLayout_3">
+      <layout class="QVBoxLayout" name="activeSizesLayout">
        <item>
-        <widget class="QLabel" name="label_3">
+        <widget class="QLabel" name="activeSizesLabel">
          <property name="text">
           <string>Active Sizes</string>
          </property>
diff --git a/scribus/ui/prefs_pathsbase.ui b/scribus/ui/prefs_pathsbase.ui
--- a/scribus/ui/prefs_pathsbase.ui
+++ b/scribus/ui/prefs_pathsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,13 +45,13 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>510</width>
-        <height>205</height>
+        <width>518</width>
+        <height>219</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout_2">
        <item>
-        <layout class="QGridLayout" name="gridLayout">
+        <layout class="QGridLayout" name="pathsGrid">
          <item row="0" column="0">
           <widget class="QLabel" name="docDirLabel">
            <property name="text">
diff --git a/scribus/ui/prefs_pdfexportbase.ui b/scribus/ui/prefs_pdfexportbase.ui
--- a/scribus/ui/prefs_pdfexportbase.ui
+++ b/scribus/ui/prefs_pdfexportbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -40,13 +40,13 @@
      <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tabPages">
+     <widget class="QWidget" name="pagesTab">
       <attribute name="title">
        <string>Pages</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_3">
        <item>
-        <widget class="QLabel" name="label_2">
+        <widget class="QLabel" name="exportRangeLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -59,7 +59,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="exportRangeLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -86,7 +86,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_3">
+        <layout class="QHBoxLayout" name="exportRangeLayout">
          <item>
           <widget class="QLineEdit" name="exportPageListLineEdit"/>
          </item>
@@ -125,7 +125,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_8">
+        <widget class="QLabel" name="rotationAndMirroringLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -138,7 +138,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_3">
+        <widget class="Line" name="rotationAndMirroringLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -145,9 +145,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
+        <layout class="QHBoxLayout" name="rotationLayout">
          <item>
-          <widget class="QLabel" name="label_3">
+          <widget class="QLabel" name="rotationLabel">
            <property name="text">
             <string>Rotation:</string>
            </property>
@@ -172,9 +172,9 @@
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="mirroringLayout">
          <item>
-          <widget class="QLabel" name="label_4">
+          <widget class="QLabel" name="pageMirrorLabel">
            <property name="text">
             <string>Page Mirroring:</string>
            </property>
@@ -233,13 +233,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabFileOptions">
+     <widget class="QWidget" name="fileOptionsTab">
       <attribute name="title">
        <string>File Options</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_7">
        <item>
-        <widget class="QScrollArea" name="scrollArea_3">
+        <widget class="QScrollArea" name="fileOptionsScroll">
          <property name="frameShape">
           <enum>QFrame::NoFrame</enum>
          </property>
@@ -257,18 +257,21 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>577</width>
-            <height>455</height>
+            <width>608</width>
+            <height>450</height>
            </rect>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_19">
            <item>
-            <layout class="QFormLayout" name="formLayout_2">
+            <layout class="QFormLayout" name="fileOptionsLayout1">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+             </property>
              <property name="formAlignment">
-              <set>Qt::AlignHCenter|Qt::AlignTop</set>
+              <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
              </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_9">
+              <widget class="QLabel" name="pdfVersionLabel">
                <property name="text">
                 <string>Compatibility:</string>
                </property>
@@ -278,7 +281,7 @@
               <widget class="QComboBox" name="pdfVersionComboBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_10">
+              <widget class="QLabel" name="pageBindingLabel">
                <property name="text">
                 <string>Page Binding:</string>
                </property>
@@ -290,7 +293,7 @@
             </layout>
            </item>
            <item>
-            <layout class="QVBoxLayout" name="verticalLayout_2">
+            <layout class="QVBoxLayout" name="fileOptionsLayout2">
              <item>
               <widget class="QCheckBox" name="clipToPrinterMarginsCheckBox">
                <property name="text">
@@ -352,7 +355,7 @@
             </spacer>
            </item>
            <item>
-            <widget class="QLabel" name="label_5">
+            <widget class="QLabel" name="compressionLabel">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -365,7 +368,7 @@
             </widget>
            </item>
            <item>
-            <widget class="Line" name="line_4">
+            <widget class="Line" name="compressionLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
@@ -379,12 +382,15 @@
             </widget>
            </item>
            <item>
-            <layout class="QFormLayout" name="formLayout">
+            <layout class="QFormLayout" name="imageCompressioneForm">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+             </property>
              <property name="formAlignment">
-              <set>Qt::AlignHCenter|Qt::AlignTop</set>
+              <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
              </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_6">
+              <widget class="QLabel" name="imageCompressionMethodLabel">
                <property name="text">
                 <string>Image Compression Method:</string>
                </property>
@@ -394,7 +400,7 @@
               <widget class="QComboBox" name="imageCompressionMethodComboBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_7">
+              <widget class="QLabel" name="imageCompressionQualityLabel">
                <property name="text">
                 <string>Image Compression Quality:</string>
                </property>
@@ -406,7 +412,7 @@
             </layout>
            </item>
            <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_6">
+            <layout class="QHBoxLayout" name="maxResolutionLayout">
              <item>
               <widget class="QCheckBox" name="maxResolutionLimitCheckBox">
                <property name="text">
@@ -443,9 +449,9 @@
             </layout>
            </item>
            <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_5">
+            <layout class="QHBoxLayout" name="epsResolutionLayout">
              <item>
-              <widget class="QLabel" name="label_19">
+              <widget class="QLabel" name="epsExportResolutionLabel">
                <property name="text">
                 <string>Resolution for EPS Graphics:</string>
                </property>
@@ -498,7 +504,7 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabSecurity">
+     <widget class="QWidget" name="securityTab">
       <attribute name="title">
        <string>Security</string>
       </attribute>
@@ -527,7 +533,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_11">
+        <widget class="QLabel" name="passwordsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -540,7 +546,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_5">
+        <widget class="Line" name="passwordsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -547,12 +553,12 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_3">
+        <layout class="QFormLayout" name="passwordsForm">
          <property name="formAlignment">
           <set>Qt::AlignHCenter|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_13">
+          <widget class="QLabel" name="passwordOwnerLabel">
            <property name="text">
             <string>Owner:</string>
            </property>
@@ -566,7 +572,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_14">
+          <widget class="QLabel" name="passwordUserLabel">
            <property name="text">
             <string>User:</string>
            </property>
@@ -598,7 +604,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_12">
+        <widget class="QLabel" name="settingsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -611,7 +617,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_6">
+        <widget class="Line" name="settingsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -660,7 +666,7 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabColor">
+     <widget class="QWidget" name="colorTab">
       <attribute name="title">
        <string>Color</string>
       </attribute>
@@ -681,18 +687,21 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>577</width>
-            <height>606</height>
+            <width>594</width>
+            <height>575</height>
            </rect>
           </property>
           <layout class="QVBoxLayout" name="verticalLayout_8">
            <item>
-            <layout class="QFormLayout" name="formLayout_4">
+            <layout class="QFormLayout" name="outputIntentionForm">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+             </property>
              <property name="formAlignment">
               <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
              </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_15">
+              <widget class="QLabel" name="outputIntentionLabel">
                <property name="text">
                 <string>Output Intended For:</string>
                </property>
@@ -761,9 +770,12 @@
             </widget>
            </item>
            <item>
-            <layout class="QFormLayout" name="formLayout_8">
+            <layout class="QFormLayout" name="solidColorsForm">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+             </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_28">
+              <widget class="QLabel" name="solidColorProfileLabel">
                <property name="text">
                 <string>Profile:</string>
                </property>
@@ -773,7 +785,7 @@
               <widget class="QComboBox" name="solidColorProfileComboBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_27">
+              <widget class="QLabel" name="solidColorRenderingIntentLabel">
                <property name="text">
                 <string>Rendering Intent:</string>
                </property>
@@ -835,9 +847,12 @@
             </widget>
            </item>
            <item>
-            <layout class="QFormLayout" name="formLayout_6">
+            <layout class="QFormLayout" name="imagesForm">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+             </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_22">
+              <widget class="QLabel" name="imageProfileLabel">
                <property name="text">
                 <string>Profile:</string>
                </property>
@@ -847,7 +862,7 @@
               <widget class="QComboBox" name="imageProfileComboBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_26">
+              <widget class="QLabel" name="imageRenderingIntentLabel">
                <property name="text">
                 <string>Rendering Intent:</string>
                </property>
@@ -875,7 +890,7 @@
             </spacer>
            </item>
            <item>
-            <widget class="QLabel" name="label_29">
+            <widget class="QLabel" name="customRenderingLabel">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -902,12 +917,12 @@
             </widget>
            </item>
            <item>
-            <layout class="QFormLayout" name="formLayout_9">
+            <layout class="QFormLayout" name="customRenderingForm">
              <property name="fieldGrowthPolicy">
               <enum>QFormLayout::FieldsStayAtSizeHint</enum>
              </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_30">
+              <widget class="QLabel" name="customRenderingColorLabel">
                <property name="text">
                 <string>Color:</string>
                </property>
@@ -917,7 +932,7 @@
               <widget class="QComboBox" name="customRenderingColorComboBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_31">
+              <widget class="QLabel" name="customRenderingFrequencyLabel">
                <property name="text">
                 <string>Frequency:</string>
                </property>
@@ -934,7 +949,7 @@
               </widget>
              </item>
              <item row="2" column="0">
-              <widget class="QLabel" name="label_32">
+              <widget class="QLabel" name="customRenderingAngleLabel">
                <property name="text">
                 <string>Angle:</string>
                </property>
@@ -954,7 +969,7 @@
               </widget>
              </item>
              <item row="3" column="0">
-              <widget class="QLabel" name="label_33">
+              <widget class="QLabel" name="customRenderingSpotFunctionLabel">
                <property name="text">
                 <string>Spot Function:</string>
                </property>
@@ -984,7 +999,7 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabPrePress">
+     <widget class="QWidget" name="prePressTab">
       <attribute name="title">
        <string>Pre-Press</string>
       </attribute>
@@ -1008,58 +1023,28 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>577</width>
-            <height>436</height>
+            <width>608</width>
+            <height>450</height>
            </rect>
           </property>
-          <layout class="QVBoxLayout" name="verticalLayout_18">
-           <item>
-            <widget class="QLabel" name="label_16">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
-             <property name="text">
-              <string>Printer Marks</string>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="Line" name="line_7">
+          <layout class="QGridLayout" name="gridLayout">
+           <item row="1" column="0" colspan="4">
+            <widget class="Line" name="printerMarksLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item>
-            <layout class="QGridLayout" name="gridLayout">
-             <item row="0" column="1">
-              <layout class="QHBoxLayout" name="horizontalLayout_11">
-               <item>
-                <widget class="QLabel" name="label_43">
-                 <property name="text">
-                  <string>Mark Length:</string>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="ScrSpinBox" name="markLengthSpinBox">
-                 <property name="minimum">
-                  <double>1.000000000000000</double>
-                 </property>
-                 <property name="maximum">
-                  <double>100.000000000000000</double>
-                 </property>
-                 <property name="value">
-                  <double>20.000000000000000</double>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+           <item row="2" column="0">
+            <layout class="QVBoxLayout" name="checkboxesLayout">
+             <item>
+              <widget class="QCheckBox" name="printCropMarksCheckBox">
+               <property name="text">
+                <string>Crop Marks</string>
+               </property>
+              </widget>
              </item>
-             <item row="1" column="0">
+             <item>
               <widget class="QCheckBox" name="printBleedMarksCheckBox">
                <property name="text">
                 <string>Bleed Marks</string>
@@ -1066,7 +1051,7 @@
                </property>
               </widget>
              </item>
-             <item row="2" column="0">
+             <item>
               <widget class="QCheckBox" name="printColorBarsCheckBox">
                <property name="text">
                 <string>Color Bars</string>
@@ -1073,7 +1058,7 @@
                </property>
               </widget>
              </item>
-             <item row="3" column="0">
+             <item>
               <widget class="QCheckBox" name="printRegistrationMarksCheckBox">
                <property name="text">
                 <string>Registration Marks</string>
@@ -1080,7 +1065,7 @@
                </property>
               </widget>
              </item>
-             <item row="4" column="0">
+             <item>
               <widget class="QCheckBox" name="printPageInfoCheckBox">
                <property name="text">
                 <string>Page Information</string>
@@ -1087,40 +1072,72 @@
                </property>
               </widget>
              </item>
+            </layout>
+           </item>
+           <item row="2" column="1">
+            <spacer name="horizontalSpacer_7">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="2" column="2">
+            <layout class="QFormLayout" name="markLayout">
              <item row="0" column="0">
-              <layout class="QHBoxLayout" name="horizontalLayout_13">
-               <property name="rightMargin">
-                <number>0</number>
+              <widget class="QLabel" name="markLengthLabel">
+               <property name="text">
+                <string>Mark Length:</string>
                </property>
-               <property name="bottomMargin">
-                <number>0</number>
+              </widget>
+             </item>
+             <item row="0" column="1">
+              <widget class="ScrSpinBox" name="markLengthSpinBox">
+               <property name="minimum">
+                <double>1.000000000000000</double>
                </property>
-               <item>
-                <widget class="QCheckBox" name="printCropMarksCheckBox">
-                 <property name="text">
-                  <string>Crop Marks</string>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+               <property name="maximum">
+                <double>100.000000000000000</double>
+               </property>
+               <property name="value">
+                <double>20.000000000000000</double>
+               </property>
+              </widget>
              </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="markOffsetLabel">
+               <property name="text">
+                <string>Mark Offset:</string>
+               </property>
+              </widget>
+             </item>
              <item row="1" column="1">
-              <layout class="QHBoxLayout" name="horizontalLayout_12">
-               <item>
-                <widget class="QLabel" name="label_17">
-                 <property name="text">
-                  <string>Mark Offset:</string>
-                 </property>
-                </widget>
-               </item>
-               <item>
-                <widget class="ScrSpinBox" name="markOffsetSpinBox"/>
-               </item>
-              </layout>
+              <widget class="ScrSpinBox" name="markOffsetSpinBox"/>
              </item>
             </layout>
            </item>
-           <item>
+           <item row="2" column="3">
+            <spacer name="horizontalSpacer_8">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>286</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="3" column="0">
             <spacer name="verticalSpacer_10">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
@@ -1136,54 +1153,14 @@
              </property>
             </spacer>
            </item>
-           <item>
-            <widget class="QLabel" name="label_18">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
-             <property name="text">
-              <string>Bleed Settings</string>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="Line" name="line_8">
+           <item row="5" column="0" colspan="4">
+            <widget class="Line" name="bleedSettingsLine">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="QCheckBox" name="useDocumentBleedsCheckBox">
-             <property name="text">
-              <string>Use Document Bleeds</string>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_4">
-             <item>
-              <widget class="NewMarginWidget" name="bleedsWidget" native="true"/>
-             </item>
-             <item>
-              <spacer name="horizontalSpacer_4">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>40</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-            </layout>
-           </item>
-           <item>
+           <item row="8" column="0">
             <spacer name="bleedSettingsVerticalSpacer">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
@@ -1199,33 +1176,36 @@
              </property>
             </spacer>
            </item>
-           <item>
-            <widget class="QLabel" name="label_23">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
+           <item row="10" column="0" colspan="4">
+            <widget class="Line" name="pdfxOutputIntentLine">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
              </property>
-             <property name="text">
-              <string>PDF/X Output Intent</string>
-             </property>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_9">
+           <item row="12" column="0">
+            <spacer name="verticalSpacer_8">
              <property name="orientation">
-              <enum>Qt::Horizontal</enum>
+              <enum>Qt::Vertical</enum>
              </property>
-            </widget>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>18</height>
+              </size>
+             </property>
+            </spacer>
            </item>
-           <item>
-            <layout class="QFormLayout" name="formLayout_5">
+           <item row="11" column="0" colspan="4">
+            <layout class="QFormLayout" name="pdfx3Layout">
+             <property name="fieldGrowthPolicy">
+              <enum>QFormLayout::ExpandingFieldsGrow</enum>
+             </property>
              <property name="formAlignment">
-              <set>Qt::AlignHCenter|Qt::AlignTop</set>
+              <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
              </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_24">
+              <widget class="QLabel" name="pdfx3OutputProfileLabel">
                <property name="text">
                 <string>Output Profile:</string>
                </property>
@@ -1235,7 +1215,7 @@
               <widget class="QComboBox" name="pdfx3OutputProfileComboBox"/>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_25">
+              <widget class="QLabel" name="pdfx3InfoStringLabel">
                <property name="text">
                 <string>Information String:</string>
                </property>
@@ -1246,19 +1226,72 @@
              </item>
             </layout>
            </item>
-           <item>
-            <spacer name="verticalSpacer_8">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
+           <item row="7" column="0" colspan="4">
+            <layout class="QHBoxLayout" name="bleedLayout">
+             <item>
+              <widget class="NewMarginWidget" name="bleedsWidget" native="true"/>
+             </item>
+             <item>
+              <spacer name="horizontalSpacer_4">
+               <property name="orientation">
+                <enum>Qt::Horizontal</enum>
+               </property>
+               <property name="sizeHint" stdset="0">
+                <size>
+                 <width>40</width>
+                 <height>20</height>
+                </size>
+               </property>
+              </spacer>
+             </item>
+            </layout>
+           </item>
+           <item row="6" column="0" colspan="4">
+            <widget class="QCheckBox" name="useDocumentBleedsCheckBox">
+             <property name="text">
+              <string>Use Document Bleeds</string>
              </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>18</height>
-              </size>
+            </widget>
+           </item>
+           <item row="0" column="0" colspan="4">
+            <widget class="QLabel" name="printerMarksLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
              </property>
-            </spacer>
+             <property name="text">
+              <string>Printer Marks</string>
+             </property>
+            </widget>
            </item>
+           <item row="4" column="0" colspan="4">
+            <widget class="QLabel" name="bleedSettingsLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
+             </property>
+             <property name="text">
+              <string>Bleed Settings</string>
+             </property>
+            </widget>
+           </item>
+           <item row="9" column="0" colspan="4">
+            <widget class="QLabel" name="pdfxOutputIntentLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
+             </property>
+             <property name="text">
+              <string>PDF/X Output Intent</string>
+             </property>
+            </widget>
+           </item>
           </layout>
          </widget>
         </widget>
@@ -1265,13 +1298,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabFonts">
+     <widget class="QWidget" name="fontsTab">
       <attribute name="title">
        <string>Fonts</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_12">
        <item>
-        <widget class="QLabel" name="label_20">
+        <widget class="QLabel" name="exportRangeLabel2">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -1284,7 +1317,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_10">
+        <widget class="Line" name="exportRangeLine2">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -1291,9 +1324,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_7">
+        <layout class="QHBoxLayout" name="embeddingModeLayput">
          <item>
-          <widget class="QLabel" name="label_44">
+          <widget class="QLabel" name="fontEmbeddingLabel">
            <property name="sizePolicy">
             <sizepolicy hsizetype="Maximum" vsizetype="Preferred">
              <horstretch>0</horstretch>
@@ -1324,12 +1357,25 @@
            </item>
           </widget>
          </item>
+         <item>
+          <spacer name="horizontalSpacer_9">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>20</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
         </layout>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_8">
+        <layout class="QHBoxLayout" name="embeddingLayout">
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_11">
+          <layout class="QVBoxLayout" name="embedLayout">
            <item>
             <widget class="QLabel" name="embedListLabel">
              <property name="text">
@@ -1350,7 +1396,7 @@
           </layout>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_10">
+          <layout class="QVBoxLayout" name="buttonsLayout">
            <item>
             <spacer name="verticalSpacer_20">
              <property name="orientation">
@@ -1399,7 +1445,7 @@
           </layout>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_9">
+          <layout class="QVBoxLayout" name="subsetLayout">
            <item>
             <widget class="QLabel" name="subsetListLabel">
              <property name="text">
@@ -1423,7 +1469,7 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabExtras">
+     <widget class="QWidget" name="extrasTab">
       <attribute name="title">
        <string>Extras</string>
       </attribute>
@@ -1436,19 +1482,19 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_10">
+        <layout class="QHBoxLayout" name="extrasLayout">
          <item>
           <widget class="QListWidget" name="effectsPageListWidget"/>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_16">
+          <layout class="QVBoxLayout" name="extrasSettingsLayout">
            <item>
-            <layout class="QFormLayout" name="formLayout_11">
+            <layout class="QFormLayout" name="settingsLayout">
              <property name="fieldGrowthPolicy">
               <enum>QFormLayout::FieldsStayAtSizeHint</enum>
              </property>
              <item row="0" column="0">
-              <widget class="QLabel" name="label_37">
+              <widget class="QLabel" name="displayDurationLabel">
                <property name="text">
                 <string>Display Duration:</string>
                </property>
@@ -1455,7 +1501,7 @@
               </widget>
              </item>
              <item row="1" column="0">
-              <widget class="QLabel" name="label_38">
+              <widget class="QLabel" name="effectDurationLabel">
                <property name="text">
                 <string>Effect Duration:</string>
                </property>
@@ -1462,7 +1508,7 @@
               </widget>
              </item>
              <item row="2" column="0">
-              <widget class="QLabel" name="label_39">
+              <widget class="QLabel" name="effectTypeLabel">
                <property name="text">
                 <string>Effect Type:</string>
                </property>
@@ -1472,7 +1518,7 @@
               <widget class="QComboBox" name="effectTypeComboBox"/>
              </item>
              <item row="3" column="0">
-              <widget class="QLabel" name="label_40">
+              <widget class="QLabel" name="effectMovingDirectionLabel">
                <property name="text">
                 <string>Moving Lines:</string>
                </property>
@@ -1482,7 +1528,7 @@
               <widget class="QComboBox" name="effectMovingDirectionComboBox"/>
              </item>
              <item row="4" column="0">
-              <widget class="QLabel" name="label_41">
+              <widget class="QLabel" name="effectInOutLabel">
                <property name="text">
                 <string>From the:</string>
                </property>
@@ -1492,7 +1538,7 @@
               <widget class="QComboBox" name="effectInOutComboBox"/>
              </item>
              <item row="5" column="0">
-              <widget class="QLabel" name="label_42">
+              <widget class="QLabel" name="effectDirectionLabel">
                <property name="text">
                 <string>Direction:</string>
                </property>
@@ -1559,13 +1605,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tabViewer">
+     <widget class="QWidget" name="viewerTab">
       <attribute name="title">
        <string>Viewer</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_15">
        <item>
-        <widget class="QLabel" name="label_21">
+        <widget class="QLabel" name="documentLayoutLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -1578,7 +1624,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_11">
+        <widget class="Line" name="documentLayoutLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -1629,7 +1675,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_34">
+        <widget class="QLabel" name="visualAppearanceLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -1642,7 +1688,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_12">
+        <widget class="Line" name="visualAppearanceLIne">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -1649,9 +1695,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_9">
+        <layout class="QHBoxLayout" name="visualAppearanceLayout">
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_14">
+          <layout class="QVBoxLayout" name="visualSettingsLayout1">
            <item>
             <widget class="QRadioButton" name="useViewerDefaultsRadioButton">
              <property name="text">
@@ -1690,7 +1736,7 @@
           </layout>
          </item>
          <item>
-          <layout class="QVBoxLayout" name="verticalLayout_13">
+          <layout class="QVBoxLayout" name="visualSettingsLayout2">
            <item>
             <widget class="QCheckBox" name="hideViewerMenuBarCheckBox">
              <property name="text">
@@ -1746,7 +1792,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_35">
+        <widget class="QLabel" name="specialActionsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -1759,7 +1805,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_13">
+        <widget class="Line" name="specialActionsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -1766,9 +1812,9 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_10">
+        <layout class="QFormLayout" name="specialActionsForm">
          <item row="0" column="0">
-          <widget class="QLabel" name="label_36">
+          <widget class="QLabel" name="startupJavascriptLabel">
            <property name="text">
             <string>Javascript to be executed when PDF document is opened:</string>
            </property>
@@ -1801,8 +1847,8 @@
  <customwidgets>
   <customwidget>
    <class>ScrSpinBox</class>
-   <extends>QDoubleSpinBox</extends>
-   <header>ui/scrspinbox.h</header>
+   <extends>QSpinBox</extends>
+   <header location="global">ui/scrspinbox.h</header>
   </customwidget>
   <customwidget>
    <class>NewMarginWidget</class>
@@ -1820,7 +1866,7 @@
   <tabstop>rotationComboBox</tabstop>
   <tabstop>pageMirrorHorizontalToolButton</tabstop>
   <tabstop>pageMirrorVerticalToolButton</tabstop>
-  <tabstop>scrollArea_3</tabstop>
+  <tabstop>fileOptionsScroll</tabstop>
   <tabstop>pdfVersionComboBox</tabstop>
   <tabstop>pageBindingComboBox</tabstop>
   <tabstop>clipToPrinterMarginsCheckBox</tabstop>
diff --git a/scribus/ui/prefs_pluginsbase.ui b/scribus/ui/prefs_pluginsbase.ui
--- a/scribus/ui/prefs_pluginsbase.ui
+++ b/scribus/ui/prefs_pluginsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label_2">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
diff --git a/scribus/ui/prefs_preflightverifierbase.ui b/scribus/ui/prefs_preflightverifierbase.ui
--- a/scribus/ui/prefs_preflightverifierbase.ui
+++ b/scribus/ui/prefs_preflightverifierbase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>623</width>
-    <height>757</height>
+    <width>472</width>
+    <height>446</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -66,7 +66,7 @@
     </spacer>
    </item>
    <item>
-    <widget class="QLabel" name="label_6">
+    <widget class="QLabel" name="profileSetupLabel">
      <property name="font">
       <font>
        <weight>75</weight>
@@ -79,6 +79,13 @@
     </widget>
    </item>
    <item>
+    <widget class="Line" name="profileSetupLine">
+     <property name="orientation">
+      <enum>Qt::Horizontal</enum>
+     </property>
+    </widget>
+   </item>
+   <item>
     <widget class="QScrollArea" name="scrollArea">
      <property name="widgetResizable">
       <bool>true</bool>
@@ -88,70 +95,12 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>597</width>
-        <height>591</height>
+        <width>457</width>
+        <height>609</height>
        </rect>
       </property>
-      <layout class="QVBoxLayout" name="verticalLayout_2">
-       <item>
-        <layout class="QFormLayout" name="formLayout">
-         <property name="formAlignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-         </property>
-         <item row="0" column="0">
-          <widget class="QLabel" name="label_2">
-           <property name="font">
-            <font>
-             <weight>75</weight>
-             <bold>true</bold>
-            </font>
-           </property>
-           <property name="text">
-            <string>Output Profile:</string>
-           </property>
-          </widget>
-         </item>
-         <item row="0" column="1">
-          <widget class="QComboBox" name="currentProfileComboBox">
-           <property name="editable">
-            <bool>true</bool>
-           </property>
-          </widget>
-         </item>
-        </layout>
-       </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
-         <item>
-          <widget class="QPushButton" name="addProfilePushButton">
-           <property name="text">
-            <string>Add New Profile</string>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <widget class="QPushButton" name="removeProfilePushButton">
-           <property name="text">
-            <string>Remove Profile</string>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <spacer name="horizontalSpacer">
-           <property name="orientation">
-            <enum>Qt::Horizontal</enum>
-           </property>
-           <property name="sizeHint" stdset="0">
-            <size>
-             <width>40</width>
-             <height>20</height>
-            </size>
-           </property>
-          </spacer>
-         </item>
-        </layout>
-       </item>
-       <item>
+      <layout class="QFormLayout" name="formLayout_3">
+       <item row="2" column="0">
         <spacer name="verticalSpacer">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -167,8 +116,8 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_3">
+       <item row="3" column="0">
+        <widget class="QLabel" name="profileOptionsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -180,14 +129,7 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_2">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-        </widget>
-       </item>
-       <item>
+       <item row="5" column="0">
         <widget class="QCheckBox" name="ignoreAllErrorsCheckBox">
          <property name="text">
           <string>Ignore all errors</string>
@@ -194,7 +136,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="6" column="0">
         <widget class="QCheckBox" name="autoCheckBeforePrintExportCheckBox">
          <property name="text">
           <string>Automatic check before printing or exporting</string>
@@ -201,7 +143,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="7" column="0">
         <widget class="QCheckBox" name="checkMissingGlyphsCheckBox">
          <property name="text">
           <string>Check for missing glyphs</string>
@@ -208,7 +150,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="8" column="0">
         <widget class="QCheckBox" name="checkItemsNotOnAPageCheckBox">
          <property name="text">
           <string>Check for items not on a page</string>
@@ -215,7 +157,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="9" column="0">
         <widget class="QCheckBox" name="checkEmptyTextFramesCheckBox">
          <property name="text">
           <string>Check for empty text frames</string>
@@ -222,7 +164,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="10" column="0">
         <widget class="QCheckBox" name="checkTextOverflowCheckBox">
          <property name="text">
           <string>Check for overflow in text frames</string>
@@ -229,7 +171,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="11" column="0">
         <widget class="QCheckBox" name="checkTransparenciesCheckBox">
          <property name="text">
           <string>Check for used transparencies</string>
@@ -236,7 +178,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="12" column="0">
         <widget class="QCheckBox" name="checkMissingImagesCheckBox">
          <property name="text">
           <string>Check for missing images</string>
@@ -243,7 +185,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="13" column="0">
         <widget class="QCheckBox" name="checkPartFilledImageFramesCheckBox">
          <property name="text">
           <string>Check for part filled image frames</string>
@@ -250,7 +192,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="14" column="0">
         <widget class="QCheckBox" name="checkImageResolutionCheckBox">
          <property name="text">
           <string>Check image resolution</string>
@@ -257,13 +199,71 @@
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout_2">
+       <item row="16" column="0">
+        <widget class="QCheckBox" name="checkPlacedPDFCheckBox">
+         <property name="text">
+          <string>Check for placed PDF files</string>
+         </property>
+        </widget>
+       </item>
+       <item row="17" column="0">
+        <widget class="QCheckBox" name="checkGIFsCheckBox">
+         <property name="text">
+          <string>Check for GIF images</string>
+         </property>
+        </widget>
+       </item>
+       <item row="18" column="0">
+        <widget class="QCheckBox" name="checkPDFAnnotFieldsCheckBox">
+         <property name="text">
+          <string>Check for PDF Annotations and Fields</string>
+         </property>
+        </widget>
+       </item>
+       <item row="19" column="0">
+        <widget class="QCheckBox" name="checkVisiblePrintableLayersCheckBox">
+         <property name="text">
+          <string>Check for Visible/Printable mismatch in layers</string>
+         </property>
+        </widget>
+       </item>
+       <item row="20" column="0">
+        <widget class="QCheckBox" name="checkNonPrintableLayersCheckBox">
+         <property name="text">
+          <string>Ignore non-printable layers</string>
+         </property>
+        </widget>
+       </item>
+       <item row="21" column="0">
+        <widget class="QCheckBox" name="checkAppliedMasterPageLocationCheckBox">
+         <property name="text">
+          <string>Check if applied master page location is the same as each page's location</string>
+         </property>
+        </widget>
+       </item>
+       <item row="22" column="0">
+        <spacer name="verticalSpacer_2">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>124</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="15" column="0" colspan="2">
+        <layout class="QFormLayout" name="resolutionLayout">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <property name="formAlignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_4">
+          <widget class="QLabel" name="minimumResolutionLabel">
            <property name="text">
             <string>Minimum Resolution:</string>
            </property>
@@ -271,6 +271,12 @@
          </item>
          <item row="0" column="1">
           <widget class="QSpinBox" name="minimumResolutionSpinBox">
+           <property name="minimumSize">
+            <size>
+             <width>0</width>
+             <height>0</height>
+            </size>
+           </property>
            <property name="suffix">
             <string> dpi</string>
            </property>
@@ -296,7 +302,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_5">
+          <widget class="QLabel" name="maximumResolutionLabel">
            <property name="text">
             <string>Maximum Resolution:</string>
            </property>
@@ -304,61 +310,80 @@
          </item>
         </layout>
        </item>
-       <item>
-        <widget class="QCheckBox" name="checkPlacedPDFCheckBox">
-         <property name="text">
-          <string>Check for placed PDF files</string>
+       <item row="0" column="0" colspan="2">
+        <layout class="QFormLayout" name="currentProfileLayout">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::AllNonFixedFieldsGrow</enum>
          </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="checkGIFsCheckBox">
-         <property name="text">
-          <string>Check for GIF images</string>
+         <property name="formAlignment">
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
-        </widget>
+         <item row="0" column="0">
+          <widget class="QLabel" name="currentProfileLabel">
+           <property name="font">
+            <font>
+             <weight>75</weight>
+             <bold>true</bold>
+            </font>
+           </property>
+           <property name="text">
+            <string>Output Profile:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="QComboBox" name="currentProfileComboBox">
+           <property name="editable">
+            <bool>true</bool>
+           </property>
+          </widget>
+         </item>
+        </layout>
        </item>
-       <item>
-        <widget class="QCheckBox" name="checkPDFAnnotFieldsCheckBox">
-         <property name="text">
-          <string>Check for PDF Annotations and Fields</string>
-         </property>
-        </widget>
+       <item row="1" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="manageProfilesLayout">
+         <item>
+          <widget class="QPushButton" name="addProfilePushButton">
+           <property name="text">
+            <string>Add New Profile</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="removeProfilePushButton">
+           <property name="text">
+            <string>Remove Profile</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <spacer name="horizontalSpacer">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+        </layout>
        </item>
-       <item>
-        <widget class="QCheckBox" name="checkVisiblePrintableLayersCheckBox">
-         <property name="text">
-          <string>Check for Visible/Printable mismatch in layers</string>
+       <item row="4" column="0" colspan="2">
+        <widget class="Line" name="profileOptionsLine">
+         <property name="minimumSize">
+          <size>
+           <width>30</width>
+           <height>0</height>
+          </size>
          </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="checkNonPrintableLayersCheckBox">
-         <property name="text">
-          <string>Ignore non-printable layers</string>
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="QCheckBox" name="checkAppliedMasterPageLocationCheckBox">
-         <property name="text">
-          <string>Check if applied master page location is the same as each page's location</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer name="verticalSpacer_2">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>124</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
       </layout>
      </widget>
     </widget>
diff --git a/scribus/ui/prefs_printerbase.ui b/scribus/ui/prefs_printerbase.ui
--- a/scribus/ui/prefs_printerbase.ui
+++ b/scribus/ui/prefs_printerbase.ui
@@ -8,8 +8,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>759</width>
-    <height>693</height>
+    <width>459</width>
+    <height>409</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -31,7 +31,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -42,121 +42,23 @@
      <property name="widgetResizable">
       <bool>true</bool>
      </property>
-     <widget class="QWidget" name="scrollAreaWidgetContents_2">
+     <widget class="QWidget" name="scrollAreaWidgetContents">
       <property name="geometry">
        <rect>
         <x>0</x>
-        <y>-146</y>
-        <width>714</width>
-        <height>931</height>
+        <y>0</y>
+        <width>425</width>
+        <height>885</height>
        </rect>
       </property>
-      <layout class="QVBoxLayout" name="verticalLayout_2">
-       <item>
-        <widget class="QLabel" name="label">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Destination</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_2">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QComboBox" name="destinationComboBox"/>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="useAltPrinterCmdCheckBox">
-         <property name="text">
-          <string>Alternative Printer Command</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
-         <item>
-          <widget class="QLabel" name="label_2">
-           <property name="text">
-            <string>Command:</string>
-           </property>
-          </widget>
+      <layout class="QGridLayout" name="gridLayout_2">
+       <item row="2" column="0" colspan="2">
+        <layout class="QFormLayout" name="destinationForm">
+         <item row="0" column="0">
+          <widget class="QComboBox" name="destinationComboBox"/>
          </item>
-         <item>
-          <widget class="QLineEdit" name="altPrinterCmdLineEdit"/>
-         </item>
-        </layout>
-       </item>
-       <item>
-        <spacer>
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeType">
-          <enum>QSizePolicy::Fixed</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item>
-        <widget class="QLabel" name="label_4">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>General Options</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_3">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_2">
-         <item>
-          <widget class="QLabel" name="label_3">
-           <property name="text">
-            <string>Output:</string>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <widget class="QComboBox" name="outputComboBox">
-           <item>
-            <property name="text">
-             <string>Normal</string>
-            </property>
-           </item>
-           <item>
-            <property name="text">
-             <string>Separations</string>
-            </property>
-           </item>
-          </widget>
-         </item>
-         <item>
-          <spacer name="horizontalSpacer_4">
+         <item row="0" column="1">
+          <spacer name="horizontalSpacer_3">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
@@ -170,15 +72,8 @@
          </item>
         </layout>
        </item>
-       <item>
-        <widget class="QCheckBox" name="includePDFAnnotationsCheckBox">
-         <property name="text">
-          <string>Include PDF Annotations and Links</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <spacer name="verticalSpacer_3">
+       <item row="6" column="0" colspan="2">
+        <spacer>
          <property name="orientation">
           <enum>Qt::Vertical</enum>
          </property>
@@ -193,55 +88,7 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_5">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Page</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_4">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="pageMirrorHorizontallyCheckBox">
-         <property name="text">
-          <string>Mirror Page(s) Horizontally</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="pageMirrorVerticallyCheckBox">
-         <property name="text">
-          <string>Mirror Page(s) Vertically</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="setMediaSizeCheckBox">
-         <property name="text">
-          <string>Set Media Size</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="QCheckBox" name="clipToPrinterMarginsCheckBox">
-         <property name="text">
-          <string>Clip to Printer Margins</string>
-         </property>
-        </widget>
-       </item>
-       <item>
+       <item row="18" column="0" colspan="2">
         <spacer name="verticalSpacer">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -257,34 +104,62 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_6">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
+       <item row="3" column="0" colspan="2">
+        <widget class="QCheckBox" name="useAltPrinterCmdCheckBox">
          <property name="text">
-          <string>Color</string>
+          <string>Alternative Printer Command</string>
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_5">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
+       <item row="4" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="printerCmdLayout">
+         <item>
+          <widget class="QLabel" name="altPrinterCmdLabel">
+           <property name="text">
+            <string>Command:</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QLineEdit" name="altPrinterCmdLineEdit"/>
+         </item>
+        </layout>
+       </item>
+       <item row="10" column="0" colspan="2">
+        <widget class="QCheckBox" name="includePDFAnnotationsCheckBox">
+         <property name="text">
+          <string>Include PDF Annotations and Links</string>
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="QCheckBox" name="applyUnderColorRemovalCheckBox">
+       <item row="17" column="0" colspan="2">
+        <widget class="QCheckBox" name="clipToPrinterMarginsCheckBox">
          <property name="text">
-          <string>Apply Under Color Removal</string>
+          <string>Clip to Printer Margins</string>
          </property>
         </widget>
        </item>
-       <item>
+       <item row="39" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="bleedsLayout">
+         <item>
+          <widget class="NewMarginWidget" name="bleedsWidget" native="true"/>
+         </item>
+         <item>
+          <spacer name="horizontalSpacer_7">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+        </layout>
+       </item>
+       <item row="23" column="0" colspan="2">
         <widget class="QCheckBox" name="convertSpotsToProcessCheckBox">
          <property name="text">
           <string>Convert Spot Colors to Process Colors</string>
@@ -291,7 +166,7 @@
          </property>
         </widget>
        </item>
-       <item>
+       <item row="24" column="0" colspan="2">
         <spacer name="verticalSpacer_2">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -307,28 +182,15 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_7">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>PostScript</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_6">
+       <item row="26" column="0" colspan="2">
+        <widget class="Line" name="postScriptLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_3">
+       <item row="27" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="postscriptLevelLayout">
          <item>
           <widget class="QComboBox" name="postscriptLevelComboBox">
            <property name="sizePolicy">
@@ -369,10 +231,10 @@
          </item>
         </layout>
        </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_4">
+       <item row="28" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="postscriptPrintToLayout">
          <item>
-          <widget class="QLabel" name="label_8">
+          <widget class="QLabel" name="postscriptPrintToColorLabel">
            <property name="text">
             <string>Print In:</string>
            </property>
@@ -407,7 +269,7 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="30" column="0" colspan="2">
         <spacer name="verticalSpacer_4">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -423,74 +285,45 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_9">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Marks and Bleeds</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_7">
+       <item row="32" column="0" colspan="2">
+        <widget class="Line" name="marksAndBleedsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
+       <item row="35" column="0" colspan="2">
         <layout class="QGridLayout" name="gridLayout">
-         <item row="0" column="0">
-          <widget class="QCheckBox" name="cropMarksCheckBox">
-           <property name="text">
-            <string>Crop Marks</string>
+         <item row="3" column="0">
+          <widget class="QCheckBox" name="colorBarsCheckBox">
+           <property name="minimumSize">
+            <size>
+             <width>0</width>
+             <height>23</height>
+            </size>
            </property>
-          </widget>
-         </item>
-         <item row="1" column="0">
-          <widget class="QCheckBox" name="bleedMarksCheckBox">
            <property name="text">
-            <string>Bleed Marks</string>
+            <string>Color Bars</string>
            </property>
           </widget>
          </item>
-         <item row="2" column="0">
-          <widget class="QCheckBox" name="registrationMarksCheckBox">
-           <property name="text">
-            <string>Registration Marks</string>
+         <item row="0" column="0">
+          <widget class="QCheckBox" name="cropMarksCheckBox">
+           <property name="minimumSize">
+            <size>
+             <width>0</width>
+             <height>23</height>
+            </size>
            </property>
-          </widget>
-         </item>
-         <item row="3" column="0">
-          <widget class="QCheckBox" name="colorBarsCheckBox">
            <property name="text">
-            <string>Color Bars</string>
+            <string>Crop Marks</string>
            </property>
           </widget>
          </item>
-         <item row="1" column="1">
-          <layout class="QHBoxLayout" name="horizontalLayout_5">
-           <item>
-            <widget class="QLabel" name="label_10">
-             <property name="text">
-              <string>Offset:</string>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="ScrSpinBox" name="markOffsetSpinBox"/>
-           </item>
-          </layout>
-         </item>
          <item row="0" column="1">
           <layout class="QHBoxLayout" name="horizontalLayout_6">
            <item>
-            <widget class="QLabel" name="label_12">
+            <widget class="QLabel" name="markLengthLabel">
              <property name="text">
               <string>Length:</string>
              </property>
@@ -511,9 +344,49 @@
            </item>
           </layout>
          </item>
+         <item row="1" column="1">
+          <layout class="QHBoxLayout" name="markOffsetForm">
+           <item>
+            <widget class="QLabel" name="markOffsetLabel">
+             <property name="text">
+              <string>Offset:</string>
+             </property>
+            </widget>
+           </item>
+           <item>
+            <widget class="ScrSpinBox" name="markOffsetSpinBox"/>
+           </item>
+          </layout>
+         </item>
+         <item row="2" column="0">
+          <widget class="QCheckBox" name="registrationMarksCheckBox">
+           <property name="minimumSize">
+            <size>
+             <width>0</width>
+             <height>23</height>
+            </size>
+           </property>
+           <property name="text">
+            <string>Registration Marks</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="0">
+          <widget class="QCheckBox" name="bleedMarksCheckBox">
+           <property name="minimumSize">
+            <size>
+             <width>0</width>
+             <height>23</height>
+            </size>
+           </property>
+           <property name="text">
+            <string>Bleed Marks</string>
+           </property>
+          </widget>
+         </item>
         </layout>
        </item>
-       <item>
+       <item row="36" column="0" colspan="2">
         <spacer name="verticalSpacer_7">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -529,33 +402,45 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_11">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
+       <item row="1" column="0" colspan="2">
+        <widget class="Line" name="destinationLine">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
          </property>
-         <property name="text">
-          <string>Bleed Settings</string>
-         </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_8">
+       <item row="8" column="0" colspan="2">
+        <widget class="Line" name="generalOptionsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_7">
+       <item row="9" column="0" colspan="2">
+        <layout class="QHBoxLayout" name="horizontalLayout_2">
          <item>
-          <widget class="NewMarginWidget" name="bleedsWidget" native="true"/>
+          <widget class="QLabel" name="outputLabel">
+           <property name="text">
+            <string>Output:</string>
+           </property>
+          </widget>
          </item>
          <item>
-          <spacer name="horizontalSpacer_7">
+          <widget class="QComboBox" name="outputComboBox">
+           <item>
+            <property name="text">
+             <string>Normal</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Separations</string>
+            </property>
+           </item>
+          </widget>
+         </item>
+         <item>
+          <spacer name="horizontalSpacer_4">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
@@ -569,7 +454,72 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="38" column="0" colspan="2">
+        <widget class="Line" name="bleedsSettingsLine">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+        </widget>
+       </item>
+       <item row="21" column="0" colspan="2">
+        <widget class="Line" name="colorLine">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+        </widget>
+       </item>
+       <item row="22" column="0" colspan="2">
+        <widget class="QCheckBox" name="applyUnderColorRemovalCheckBox">
+         <property name="text">
+          <string>Apply Under Color Removal</string>
+         </property>
+        </widget>
+       </item>
+       <item row="13" column="0" colspan="2">
+        <widget class="Line" name="pageLine">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+        </widget>
+       </item>
+       <item row="14" column="0" colspan="2">
+        <widget class="QCheckBox" name="pageMirrorHorizontallyCheckBox">
+         <property name="text">
+          <string>Mirror Page(s) Horizontally</string>
+         </property>
+        </widget>
+       </item>
+       <item row="15" column="0" colspan="2">
+        <widget class="QCheckBox" name="pageMirrorVerticallyCheckBox">
+         <property name="text">
+          <string>Mirror Page(s) Vertically</string>
+         </property>
+        </widget>
+       </item>
+       <item row="16" column="0" colspan="2">
+        <widget class="QCheckBox" name="setMediaSizeCheckBox">
+         <property name="text">
+          <string>Set Media Size</string>
+         </property>
+        </widget>
+       </item>
+       <item row="11" column="0" colspan="2">
+        <spacer name="verticalSpacer_3">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeType">
+          <enum>QSizePolicy::Fixed</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="40" column="0" colspan="2">
         <spacer name="verticalSpacer_5">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -577,11 +527,102 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>40</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
+       <item row="37" column="0" colspan="2">
+        <widget class="QLabel" name="bleedSettingsLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Bleed Settings</string>
+         </property>
+        </widget>
+       </item>
+       <item row="31" column="0" colspan="2">
+        <widget class="QLabel" name="marksAndBleedsLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Marks and Bleeds</string>
+         </property>
+        </widget>
+       </item>
+       <item row="25" column="0" colspan="2">
+        <widget class="QLabel" name="postScriptLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>PostScript</string>
+         </property>
+        </widget>
+       </item>
+       <item row="20" column="0" colspan="2">
+        <widget class="QLabel" name="colorLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Color</string>
+         </property>
+        </widget>
+       </item>
+       <item row="12" column="0" colspan="2">
+        <widget class="QLabel" name="pageLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Page</string>
+         </property>
+        </widget>
+       </item>
+       <item row="7" column="0" colspan="2">
+        <widget class="QLabel" name="generalOptionsLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>General Options</string>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="0" colspan="2">
+        <widget class="QLabel" name="destinationLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
+         </property>
+         <property name="text">
+          <string>Destination</string>
+         </property>
+        </widget>
+       </item>
       </layout>
      </widget>
     </widget>
diff --git a/scribus/ui/prefs_scrapbookbase.ui b/scribus/ui/prefs_scrapbookbase.ui
--- a/scribus/ui/prefs_scrapbookbase.ui
+++ b/scribus/ui/prefs_scrapbookbase.ui
@@ -6,7 +6,7 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>705</width>
+    <width>465</width>
     <height>386</height>
    </rect>
   </property>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,8 +45,8 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>677</width>
-        <height>316</height>
+        <width>445</width>
+        <height>330</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout_2">
@@ -72,7 +72,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="horizontalLayout">
+        <layout class="QHBoxLayout" name="itemCountLayout">
          <property name="sizeConstraint">
           <enum>QLayout::SetDefaultConstraint</enum>
          </property>
@@ -79,7 +79,7 @@
          <item>
           <widget class="QLabel" name="itemCountKeptInScrapbookLabel">
            <property name="text">
-            <string>Number of Copied Items to Keep in Scrapbook</string>
+            <string>Number of Copied Items to Keep in Scrapbook:</string>
            </property>
            <property name="buddy">
             <cstring>itemCountKeptInScrapbookSpinBox</cstring>
diff --git a/scribus/ui/prefs_tableofcontentsbase.ui b/scribus/ui/prefs_tableofcontentsbase.ui
--- a/scribus/ui/prefs_tableofcontentsbase.ui
+++ b/scribus/ui/prefs_tableofcontentsbase.ui
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,8 +45,8 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>495</width>
-        <height>536</height>
+        <width>503</width>
+        <height>551</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout_2">
@@ -57,7 +57,7 @@
         <widget class="QLineEdit" name="tocNameLineEdit"/>
        </item>
        <item>
-        <layout class="QHBoxLayout" name="_2">
+        <layout class="QHBoxLayout" name="buttonsLayout">
          <item>
           <widget class="QPushButton" name="tocAddButton">
            <property name="text">
@@ -97,7 +97,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_2">
+        <widget class="QLabel" name="propertiesLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -110,7 +110,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="propertiesLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -117,7 +117,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout">
+        <layout class="QFormLayout" name="propertiesLayout">
          <property name="formAlignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
diff --git a/scribus/ui/prefs_typographybase.ui b/scribus/ui/prefs_typographybase.ui
--- a/scribus/ui/prefs_typographybase.ui
+++ b/scribus/ui/prefs_typographybase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>682</width>
-    <height>449</height>
+    <width>380</width>
+    <height>357</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -15,7 +15,7 @@
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
    <item>
-    <widget class="QLabel" name="label">
+    <widget class="QLabel" name="titleLabel">
      <property name="font">
       <font>
        <pointsize>14</pointsize>
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -45,13 +45,13 @@
        <rect>
         <x>0</x>
         <y>0</y>
-        <width>648</width>
+        <width>346</width>
         <height>624</height>
        </rect>
       </property>
       <layout class="QVBoxLayout" name="verticalLayout">
        <item>
-        <widget class="QLabel" name="label_2">
+        <widget class="QLabel" name="subscriptLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -64,7 +64,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_4">
+        <widget class="Line" name="subscriptLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -71,7 +71,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_3">
+        <layout class="QFormLayout" name="subscriptForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -79,7 +79,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_5">
+          <widget class="QLabel" name="subscriptDisplacementLabel">
            <property name="text">
             <string>Displacement:</string>
            </property>
@@ -109,7 +109,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_6">
+          <widget class="QLabel" name="subscriptScalingLabel">
            <property name="text">
             <string>Scaling:</string>
            </property>
@@ -134,7 +134,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_3">
+        <widget class="QLabel" name="superscriptLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -147,7 +147,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_3">
+        <widget class="Line" name="superscriptLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -154,7 +154,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_2">
+        <layout class="QFormLayout" name="superscriptForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -162,7 +162,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_7">
+          <widget class="QLabel" name="superscriptDisplacementLabel">
            <property name="text">
             <string>Displacement:</string>
            </property>
@@ -179,7 +179,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_8">
+          <widget class="QLabel" name="superscriptScalingLabel">
            <property name="text">
             <string>Scaling:</string>
            </property>
@@ -217,7 +217,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_4">
+        <widget class="QLabel" name="underlineLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -230,7 +230,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_2">
+        <widget class="Line" name="underlineLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -237,7 +237,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout">
+        <layout class="QFormLayout" name="underlineForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -245,7 +245,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_9">
+          <widget class="QLabel" name="underlineDisplacementLabel">
            <property name="text">
             <string>Displacement:</string>
            </property>
@@ -252,7 +252,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_10">
+          <widget class="QLabel" name="underlineLineWidthLabel">
            <property name="text">
             <string>Line Width:</string>
            </property>
@@ -315,7 +315,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_11">
+        <widget class="QLabel" name="strikeoutLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -328,7 +328,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_5">
+        <widget class="Line" name="strikeoutLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -335,7 +335,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_4">
+        <layout class="QFormLayout" name="strikeoutForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -343,7 +343,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_12">
+          <widget class="QLabel" name="strikeoutDisplacementLabel">
            <property name="text">
             <string>Displacement:</string>
            </property>
@@ -369,7 +369,7 @@
           </widget>
          </item>
          <item row="1" column="0">
-          <widget class="QLabel" name="label_13">
+          <widget class="QLabel" name="strikeoutLineWidthLabel">
            <property name="text">
             <string>Line Width:</string>
            </property>
@@ -413,7 +413,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_14">
+        <widget class="QLabel" name="smallCapsLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -426,7 +426,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_6">
+        <widget class="Line" name="smallCapsLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -433,7 +433,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_5">
+        <layout class="QFormLayout" name="smallCapsForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -441,7 +441,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_15">
+          <widget class="QLabel" name="smallcapsScalingLabel">
            <property name="text">
             <string>Scaling:</string>
            </property>
@@ -476,7 +476,7 @@
         </spacer>
        </item>
        <item>
-        <widget class="QLabel" name="label_17">
+        <widget class="QLabel" name="automaticLineSpacingLabel_2">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -489,7 +489,7 @@
         </widget>
        </item>
        <item>
-        <widget class="Line" name="line_7">
+        <widget class="Line" name="automaticLineSpacingLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
@@ -496,7 +496,7 @@
         </widget>
        </item>
        <item>
-        <layout class="QFormLayout" name="formLayout_6">
+        <layout class="QFormLayout" name="automaticLineSpacingForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -504,7 +504,7 @@
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
          </property>
          <item row="0" column="0">
-          <widget class="QLabel" name="label_19">
+          <widget class="QLabel" name="automaticLineSpacingLabel">
            <property name="text">
             <string>Line Spacing:</string>
            </property>
diff --git a/scribus/ui/prefs_userinterfacebase.ui b/scribus/ui/prefs_userinterfacebase.ui
--- a/scribus/ui/prefs_userinterfacebase.ui
+++ b/scribus/ui/prefs_userinterfacebase.ui
@@ -6,8 +6,8 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>803</width>
-    <height>481</height>
+    <width>385</width>
+    <height>480</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -29,7 +29,7 @@
     </widget>
    </item>
    <item>
-    <widget class="Line" name="line">
+    <widget class="Line" name="titleLine">
      <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
@@ -40,33 +40,13 @@
      <property name="currentIndex">
       <number>0</number>
      </property>
-     <widget class="QWidget" name="tab_3">
+     <widget class="QWidget" name="mainWindowTab">
       <attribute name="title">
        <string>Main Window</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_3">
-       <item>
-        <widget class="QLabel" name="label">
-         <property name="font">
-          <font>
-           <weight>75</weight>
-           <bold>true</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Appearance</string>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <widget class="Line" name="line_3">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-        </widget>
-       </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout">
+      <layout class="QGridLayout" name="gridLayout">
+       <item row="5" column="0" colspan="3">
+        <layout class="QFormLayout" name="appearanceForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -96,46 +76,89 @@
          <item row="1" column="1">
           <widget class="QComboBox" name="themeComboBox"/>
          </item>
-         <item row="3" column="1">
-          <widget class="QCheckBox" name="useSmallWidgetsCheckBox">
+         <item row="2" column="0">
+          <widget class="QLabel" name="iconSetLabel">
            <property name="text">
-            <string>Use Small Widgets on Palettes</string>
+            <string>Icon Set:</string>
            </property>
-          </widget>
-         </item>
-         <item row="4" column="1">
-          <widget class="QCheckBox" name="useTabsForDocumentsCheckBox">
-           <property name="text">
-            <string>Use Tabs for Documents</string>
-           </property>
-          </widget>
-         </item>
-         <item row="5" column="0">
-          <widget class="QLabel" name="recentDocumentsLabel">
-           <property name="text">
-            <string>&amp;Recent Documents:</string>
-           </property>
            <property name="buddy">
-            <cstring>recentDocumentsSpinBox</cstring>
+            <cstring>iconSetComboBox</cstring>
            </property>
           </widget>
          </item>
-         <item row="5" column="1">
-          <widget class="QSpinBox" name="recentDocumentsSpinBox"/>
-         </item>
          <item row="2" column="1">
           <widget class="QComboBox" name="iconSetComboBox"/>
          </item>
-         <item row="2" column="0">
-          <widget class="QLabel" name="label_3">
-           <property name="text">
-            <string>Icon Set:</string>
-           </property>
-          </widget>
-         </item>
         </layout>
        </item>
-       <item>
+       <item row="1" column="0" colspan="3">
+        <spacer name="verticalSpacer_6">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeType">
+          <enum>QSizePolicy::Fixed</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="6" column="0" colspan="3">
+        <widget class="QCheckBox" name="useSmallWidgetsCheckBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="minimumSize">
+          <size>
+           <width>0</width>
+           <height>23</height>
+          </size>
+         </property>
+         <property name="text">
+          <string>Use Small Widgets on Palettes</string>
+         </property>
+        </widget>
+       </item>
+       <item row="13" column="0" colspan="3">
+        <spacer name="verticalSpacer_3">
+         <property name="orientation">
+          <enum>Qt::Vertical</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>20</width>
+           <height>0</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="7" column="0" colspan="3">
+        <widget class="QCheckBox" name="useTabsForDocumentsCheckBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="minimumSize">
+          <size>
+           <width>0</width>
+           <height>23</height>
+          </size>
+         </property>
+         <property name="text">
+          <string>Use Tabs for Documents</string>
+         </property>
+        </widget>
+       </item>
+       <item row="8" column="0" colspan="3">
         <spacer name="verticalSpacer_4">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -151,8 +174,8 @@
          </property>
         </spacer>
        </item>
-       <item>
-        <widget class="QLabel" name="label_2">
+       <item row="9" column="0" colspan="3">
+        <widget class="QLabel" name="fontSizesLabel">
          <property name="font">
           <font>
            <weight>75</weight>
@@ -164,15 +187,38 @@
          </property>
         </widget>
        </item>
-       <item>
-        <widget class="Line" name="line_2">
+       <item row="0" column="0" colspan="3">
+        <layout class="QFormLayout" name="recentDocumentForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
+         <item row="0" column="0">
+          <widget class="QLabel" name="recentDocumentsLabel">
+           <property name="text">
+            <string>&amp;Recent Documents:</string>
+           </property>
+           <property name="buddy">
+            <cstring>recentDocumentsSpinBox</cstring>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="QSpinBox" name="recentDocumentsSpinBox"/>
+         </item>
+        </layout>
+       </item>
+       <item row="4" column="0" colspan="3">
+        <widget class="Line" name="appearanceLine">
          <property name="orientation">
           <enum>Qt::Horizontal</enum>
          </property>
         </widget>
        </item>
-       <item>
-        <layout class="QFormLayout" name="formLayout_2">
+       <item row="12" column="0" colspan="3">
+        <layout class="QFormLayout" name="fontSizesForm">
+         <property name="fieldGrowthPolicy">
+          <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         </property>
          <item row="0" column="0">
           <widget class="QLabel" name="fontSizeMenusLabel">
            <property name="text">
@@ -209,28 +255,35 @@
          </item>
         </layout>
        </item>
-       <item>
-        <spacer name="verticalSpacer_3">
+       <item row="10" column="0" colspan="3">
+        <widget class="Line" name="fontSizesLine">
          <property name="orientation">
-          <enum>Qt::Vertical</enum>
+          <enum>Qt::Horizontal</enum>
          </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>40</height>
-          </size>
+        </widget>
+       </item>
+       <item row="2" column="0" colspan="3">
+        <widget class="QLabel" name="appearanceLabel">
+         <property name="font">
+          <font>
+           <weight>75</weight>
+           <bold>true</bold>
+          </font>
          </property>
-        </spacer>
+         <property name="text">
+          <string>Appearance</string>
+         </property>
+        </widget>
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_4">
+     <widget class="QWidget" name="storyEditorTab">
       <attribute name="title">
        <string>Story Editor</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_5">
-       <item>
-        <layout class="QFormLayout" name="formLayout_3">
+      <layout class="QGridLayout" name="gridLayout_2">
+       <item row="0" column="0">
+        <layout class="QFormLayout" name="storyEditorForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -239,10 +292,19 @@
            <property name="text">
             <string>Font:</string>
            </property>
+           <property name="buddy">
+            <cstring>storyEditorFontPushButton</cstring>
+           </property>
           </widget>
          </item>
          <item row="0" column="1">
           <widget class="QPushButton" name="storyEditorFontPushButton">
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+             <horstretch>0</horstretch>
+             <verstretch>0</verstretch>
+            </sizepolicy>
+           </property>
            <property name="text">
             <string/>
            </property>
@@ -253,25 +315,34 @@
            <property name="text">
             <string>Background Color:</string>
            </property>
+           <property name="buddy">
+            <cstring>storyEditorFontColorPushButton</cstring>
+           </property>
           </widget>
          </item>
          <item row="1" column="1">
           <widget class="QPushButton" name="storyEditorFontColorPushButton">
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+             <horstretch>0</horstretch>
+             <verstretch>0</verstretch>
+            </sizepolicy>
+           </property>
            <property name="text">
             <string/>
            </property>
           </widget>
          </item>
-         <item row="2" column="1">
-          <widget class="QCheckBox" name="storyEditorUseSmartSelectionCheckBox">
-           <property name="text">
-            <string>Use Smart Text Selection</string>
-           </property>
-          </widget>
-         </item>
         </layout>
        </item>
-       <item>
+       <item row="1" column="0">
+        <widget class="QCheckBox" name="storyEditorUseSmartSelectionCheckBox">
+         <property name="text">
+          <string>Use Smart Text Selection</string>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="0">
         <spacer name="verticalSpacer_5">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -279,7 +350,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>251</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
@@ -286,13 +357,13 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab">
+     <widget class="QWidget" name="interactivityTab">
       <attribute name="title">
        <string>Interactivity</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_4">
-       <item>
-        <layout class="QFormLayout" name="formLayout_4">
+      <layout class="QGridLayout" name="gridLayout_3">
+       <item row="0" column="0">
+        <layout class="QFormLayout" name="interactivityForm">
          <property name="fieldGrowthPolicy">
           <enum>QFormLayout::FieldsStayAtSizeHint</enum>
          </property>
@@ -308,6 +379,12 @@
          </item>
          <item row="0" column="1">
           <widget class="QSpinBox" name="resizeMoveDelaySpinBox">
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+             <horstretch>0</horstretch>
+             <verstretch>0</verstretch>
+            </sizepolicy>
+           </property>
            <property name="suffix">
             <string> ms</string>
            </property>
@@ -331,7 +408,7 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="1" column="0">
         <spacer name="verticalSpacer_2">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -339,7 +416,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>266</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
@@ -346,30 +423,44 @@
        </item>
       </layout>
      </widget>
-     <widget class="QWidget" name="tab_5">
+     <widget class="QWidget" name="startUpTab">
       <attribute name="title">
        <string>Start Up</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout">
-       <item>
-        <layout class="QFormLayout" name="formLayout_5">
-         <item row="2" column="1">
-          <widget class="QCheckBox" name="showStartupDialogCheckBox">
-           <property name="text">
-            <string>Show Startup Dialog</string>
-           </property>
-          </widget>
-         </item>
-         <item row="1" column="1">
-          <widget class="QCheckBox" name="showSplashCheckBox">
-           <property name="text">
-            <string>Show Splashscreen</string>
-           </property>
-          </widget>
-         </item>
-        </layout>
+      <layout class="QGridLayout" name="gridLayout_4">
+       <item row="0" column="0">
+        <widget class="QCheckBox" name="showSplashCheckBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="minimumSize">
+          <size>
+           <width>0</width>
+           <height>23</height>
+          </size>
+         </property>
+         <property name="text">
+          <string>Show Splashscreen</string>
+         </property>
+        </widget>
        </item>
-       <item>
+       <item row="1" column="0">
+        <widget class="QCheckBox" name="showStartupDialogCheckBox">
+         <property name="minimumSize">
+          <size>
+           <width>0</width>
+           <height>23</height>
+          </size>
+         </property>
+         <property name="text">
+          <string>Show Startup Dialog</string>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="0">
         <spacer name="verticalSpacer">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -377,11 +468,24 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>296</height>
+           <height>20</height>
           </size>
          </property>
         </spacer>
        </item>
+       <item row="0" column="1" rowspan="2">
+        <spacer name="horizontalSpacer_9">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>174</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
       </layout>
      </widget>
     </widget>
@@ -390,12 +494,12 @@
  </widget>
  <tabstops>
   <tabstop>tabWidget</tabstop>
+  <tabstop>recentDocumentsSpinBox</tabstop>
   <tabstop>languageComboBox</tabstop>
   <tabstop>themeComboBox</tabstop>
   <tabstop>iconSetComboBox</tabstop>
   <tabstop>useSmallWidgetsCheckBox</tabstop>
   <tabstop>useTabsForDocumentsCheckBox</tabstop>
-  <tabstop>recentDocumentsSpinBox</tabstop>
   <tabstop>fontSizeMenuSpinBox</tabstop>
   <tabstop>fontSizePaletteSpinBox</tabstop>
   <tabstop>storyEditorFontPushButton</tabstop>
13944-UI-PATCH.diff (245,712 bytes)

FirasH

2016-05-08 12:49

developer  

13944-UI.zip (48,718 bytes)

FirasH

2016-05-08 12:51

developer   ~0040883

Updated

cbradney

2016-05-08 13:48

administrator   ~0040884

Problem on OSX on the User Interface tab..
https://www.dropbox.com/s/2fr6cl7w58aj89p/Screenshot%202016-05-08%2015.47.20.png?dl=0
Same on Story Editor tab.

Typically on OSX these things are centered in the tabs.

FirasH

2016-05-08 15:20

developer  

prefs_userinterfacebase.ui (16,518 bytes)

FirasH

2016-05-08 15:21

developer   ~0040886

New version of "prefs_userinterfacebase.ui" should fix that.

cbradney

2016-05-08 16:16

administrator   ~0040888

Hmm, no we need a better solution than this. That doesn't work on OSX.

FirasH

2016-05-08 16:27

developer   ~0040889

Restored vertical layout with "2-prefs_userinterfacebase.ui".
Is the issue only in that tab?

FirasH

2016-05-08 16:27

developer  

2-prefs_userinterfacebase.ui (15,910 bytes)

FirasH

2016-12-11 12:37

developer   ~0042862

The appearance of UI can change a lot with different Qt appearance setups.
With openSUSE 42.2 default Qt labes are aligned to right as in OS X but with vanilla Qt that does not happen.

FirasH

2016-12-19 18:56

developer   ~0043105

My guess is that this differences in UI are due to using mixed form and grid layouts.

For example with default openSUSE 42.2 Qt:
-) Form layout aligns labels to right (as OS X):
https://www.dropbox.com/s/bcdtm6zj9l9rup5/User_Interface.png?dl=0

-) Grid layout aligns labels to left:
https://www.dropbox.com/s/iiz3bkdex7t2rf6/Item_Tools.png?dl=0

Using Form layout for all label-spinbox/dropbox is not difficult, but we need to check on OS X and Windows if everything is working as supposed.

FirasH

2016-12-19 19:38

developer   ~0043106

Here are some screenshots of how Preferences dialog would look moving from Grid to Form layout (on openSUSE 42.2):
https://www.dropbox.com/sh/ec1gpic3ytlc7vx/AAAUXA3JmjWtd3072jfUEosfa?dl=0

In this case it would be consistent with OS appearance.

Also uploaded .ui source files in "UI-Files" for other OSes testing.

FirasH

2016-12-19 20:56

developer   ~0043107

Here is a comparison of the same exact code with Qt downloaded from qt-project.org and the one installed in openSUSE:
https://www.dropbox.com/sh/zekv4ls2vbde3ni/AAD5t3S1KwO9bdDVIG_P0cbza?dl=0

Issue History

Date Modified Username Field Change
2016-04-10 22:03 FirasH New Issue
2016-04-10 22:04 FirasH File Added: 13944-prefs_userinterfacebase.ui
2016-04-11 13:24 Kunda Relationship added child of 0013906
2016-04-11 20:04 Kunda Note Added: 0040094
2016-04-11 20:04 Kunda Target Version => 1.5.2
2016-04-26 22:02 Kunda Relationship added parent of 0013844
2016-05-01 10:46 FirasH Note Added: 0040667
2016-05-01 14:27 cbradney Note Added: 0040675
2016-05-01 14:27 cbradney Assigned To => FirasH
2016-05-01 14:27 cbradney Status new => assigned
2016-05-01 14:27 cbradney Target Version 1.5.2 => 1.5.3
2016-05-04 20:42 FirasH Note Added: 0040773
2016-05-05 22:39 FirasH Note Added: 0040806
2016-05-05 22:40 FirasH File Added: 13944-UI-PATCH.diff
2016-05-05 22:41 FirasH File Added: 13944-CPP-PATCH.diff
2016-05-05 22:46 FirasH File Added: 13944-UI.zip
2016-05-06 19:35 FirasH Note Added: 0040853
2016-05-08 10:59 FirasH File Added: 13944-UI-2.zip
2016-05-08 11:01 FirasH Note Added: 0040880
2016-05-08 11:14 cbradney Note Added: 0040881
2016-05-08 12:38 FirasH File Deleted: 13944-UI-2.zip
2016-05-08 12:38 FirasH File Deleted: 13944-UI.zip
2016-05-08 12:38 FirasH File Deleted: 13944-CPP-PATCH.diff
2016-05-08 12:39 FirasH File Deleted: 13944-prefs_userinterfacebase.ui
2016-05-08 12:39 FirasH File Deleted: 13944-UI-PATCH.diff
2016-05-08 12:39 FirasH Summary Rework Preferences > "User Interface" => Rework Preferences dialog
2016-05-08 12:39 FirasH Description Updated View Revisions
2016-05-08 12:49 FirasH File Added: 13944-CPP-PATCH.diff
2016-05-08 12:49 FirasH File Added: 13944-UI-PATCH.diff
2016-05-08 12:49 FirasH File Added: 13944-UI.zip
2016-05-08 12:51 FirasH Note Added: 0040883
2016-05-08 13:48 cbradney Note Added: 0040884
2016-05-08 15:20 FirasH File Added: prefs_userinterfacebase.ui
2016-05-08 15:21 FirasH Note Added: 0040886
2016-05-08 16:16 cbradney Note Added: 0040888
2016-05-08 16:27 FirasH Note Added: 0040889
2016-05-08 16:27 FirasH File Added: 2-prefs_userinterfacebase.ui
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2016-12-11 12:37 FirasH Note Added: 0042862
2016-12-19 18:56 FirasH Note Added: 0043105
2016-12-19 19:38 FirasH Note Added: 0043106
2016-12-19 20:56 FirasH Note Added: 0043107
2017-01-19 14:09 FirasH Relationship added parent of 0014576